Sun Oct 08 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* ChangeLog
	- Remove conflict markers from ChangeLog
	* WinCvs 2.0.4
	- Update to doxygen 1.4.7
	- Update version info for new release

Fri Sep 29 2006 Richard Wirth <gcvs@wirthware.de>
	* WinCvs
	- Fix use of struct tm.tm_mon
	- some minor fixes to make it compile on vc8

Thu Jul 21 2006 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* WinCvs
	- remove the conflictin 'ItemListDlg.cpp', checked in by me :(

Sat Jul 15 2006 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1
	- move define for '_countof' to CvsEntries.h
	- add missing and remove obsolete source files to/from Makefile.am
	- make the code compilable again ( after a long time!! )
	- Re-write gCvs-specific code to use std::string
	- Remove obsolete string classes for std::string to be used from now on

Fri May 19 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Fix compression level printing in console 

Sun Apr 09 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write CMMenuString, CMString using std::string
	- Re-write PCStr as CPersistentString using std::string
	- Remove "using namespace std" from all headers, eliminate redundant NAMESPACE and NEW macro
	- Re-write BuildIgnoredList, MatchIgnoredList using std::string
	- Remove CStr class for std::string to be used from now on

Sat Apr 08 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write CvsArgs, CvsCommands, CvsEntries, CvsIgnore, TclGlue, PythonGlue using std::string
	- Re-write WinCvs-specific code to use std::string
	- Eliminate CStr::endsWith()

Fri Apr 07 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- PATCH #1457475 - Font selection for graph view, patch by Thomas Honigmann <thho12@users.sourceforge.net>
	- PATCH #1457483 - Better scroll to sandbox revision in the graph, patch by Thomas Honigmann <thho12@users.sourceforge.net>
	- PATCH #1459376 - Set scroll page size in graph window, patch by Thomas Günther <tom@toms-cafe.de>

Thu Apr 06 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write PromptEditMessage, FindBestLastCvsroot, FindBestLastModuleName using std::string

Tue Apr 04 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write GetAppPath, GetAppModule, GetFolder, FormaCvsPath, WhichCvs, FormatDefaultSettingsLoc, 
	  MacrosReloadAll, MacrosGetLoc, PythonLibGetLoc using std::string

Wed Mar 29 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write MultiFiles, CompatGetTagListItem, CompatGetModuleListItem, 
	  BrowserGetDirectory, BrowserGetSaveasFile using std::string

Tue Mar 28 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write StrPathCmp using std::string, create Trim* functions to operate on std::string

Sun Mar 26 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write command line parsing and log message cleanup using std::string
	- Eliminate CLogStr and replace if with std::string and refactor affected log area

Mon Mar 20 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write MakeTmpFile to use std::string

Sun Mar 19 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write GetExtension(now SplitFilename), GetEnvValue to use std::string

Sat Mar 18 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.4
	- Commit dialog: Display number of affected files when "<All>" is selected in the "Preview changes" frame

Sat Mar 18 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Re-write SplitPath, NormalizeFileName, FlatenSubFolders to use std::string

Sat Mar 11 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Remove CPStr class and replace PCPStr with PCStr
	- Remove CPStr.cpp/h and relocate PCStr to ustr.cpp/h
	- Rename UStr to CStr and eliminate aliases so there is only one C-string class

Mon Mar 06 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.4
	- Method TMString<T>::SetList() to allow saving and restoring the list.
	- Multiline entry dialog (WinCvs only): Select initial text in "Previous" combobox if it's listed there.
	- Commit dialog: The log message is preserved between invocations even if the user cancels the dialog. The "Previous" list is updated only if the user hit OK in the dialog.

Thu Mar 02 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Make VS2005 build actually working

Tue Feb 28 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- Small refactoring of Kirill's changes
	- Remove RECURSE_IS_IN_DIFF_OPTIONS conditional compilation - no-recurse checkbox looks better in the diff options
	- Change the label for commit changes preview to "Selection"

Mon Feb 27 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.4
	- Implement external diff for folders.
	- When a folder is about to be committed, the commit dialog allows to diff the whole folder.
	- Diff dialog: The "Don't recurse" button is enabled if and only if a folder is selected for diffing.
	- Diff dialog (WinCvs only): Change position of the "Don't recurse" button. Two alternatives are provided, define the macro RECURSE_IS_IN_DIFF_OPTIONS to review the other option.

Sun Feb 26 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.4
	- PATCH #1435992 - Graph view scrolls automatically to the sandbox revision, patch by Thomas Günther <tom@toms-cafe.de>

Sat Feb 25 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.4
	- Fix group setting for checkbox in CVS status dialog (keyboard navigation).

Thu Feb 23 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.4
	- Add copy constructor and assignment operator for class MultiFiles.
	- Add <All> entry in "Preview file changes" combo in commit dialog.

Wed Feb 22 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.4
	- File view refresh: Maintain position of focused and selection mark items (used for keyboard navigation); optimize.
	- Reactivation of main window: Restore focus to the window that originally had it before main window has been deactivated.

Mon Feb 20 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3
	- Fix errors and most warnings for VS2005 compilation (couple of CRT warnings in cvstree will remain 
	  and linker warnings are to be ignored for the time being)

Sun Feb 12 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3
	- PATCH #1167009 - Fix the refresh after Smart Sorting and Match Entries Case in global settings change, 
	  conditional compilation for assertion in smart sorting and cleanup

Sat Feb 11 2006 Richard Wirth <gcvs@wirthware.de>
	* WinCvs 2.0.3
	- Fix some STL compatibility issues with dereferencing iterators

Sat Feb 11 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.3
	- Fine-tuned Jerzy's code cleanup
	- "Preferences" dialog, "Global" tab: Checkbox "Smart sorting"; fixed accelerator problem and control misalignment in global preferences
	- Applied patch #1167009: Improved sort order for State column -- enabled only if checkbox "Smart sorting" in global preferences is set

Fri Feb 10 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3
	- PATCH #1424894 - VS.NET compilation changes, modified patch by Arthur Barrett <abarrett@march-hare.com>
	- Some cleanup to Kirill's code

Fri Feb 10 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.3
	- Cycle through windows (browser view, file/graph view, console view) with Tab and Shift-Tab. Removed similar code in LogFrm. 
	  Fulfills RFE #982657 (Use Tab to switch between panes) and RFE #1168971 (Add accessibility keyboard shortcuts).

Thu Feb 09 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.3
	- Bug #696070 - Cycling views (Ctrl+Tab): Always assure that CMainFrame::GetActiveView() == NULL to allow MDI accelerators (Ctrl+Tab, Ctrl+F4, ...) to work correctly

Thu Feb 09 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3
	- RFE #1214056 - Remove conditional compilation from WinCvs-specific part

Wed Feb 08 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.3
	- RFE #1214056 - File Menu "Explore": Please select file in explorer. Implemented for Win32 only, unchanged for other platforms.
	- Gray "MDI close" menu item for file list window (BrowseFileView, main MDI window) to give the user visual feedback that this window cannot be closed

Tue Feb 07 2006 Kirill Müller <mail@kirill-mueller.de>
	* WinCvs 2.0.3
	- Fixed problem with _statcore that resulted in WinCvs still trying to delete files that already were deleted
	- Fixed possible memory leak with UStr
	
Mon Feb 06 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3
	- Fix context help for "Use server cvswrappers..." checkbox
	- #1424895 - Specify INFINITE timeout for view synchronisation object to prevent assertions in VS.NET
	- Fix Filter Bar Options spin control to allow large number entry, patch by Arthur Barrett <abarrett@march-hare.com>

Fri Feb 03 2006 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3
	- Update version info for new release

Mon Jan 06 2006 Richard Wirth <gcvs@wirthware.de>
	* WinCvs 2.0.3
	- attempt to compile with vs.net 2003
	  not ready cause in ItemListDlg.cpp and CvsRootDlg.cpp there a copy constructor for std::istrstream is missing (MS STL bug??)

Fri Jan 06 2006 Richard Wirth <gcvs@wirthware.de>
	* gCvs gtk2
	- Merge CvsPrompt from Trunk, extend CvsAlertDialog
	  to make more Python macros work

Wed Oct 12 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- Display a warning if password is entered as a part of CVSROOT string

Fri Oct 07 2005 Oliver Giesen <ogware@gmx.net>
	* WinCvs 2.0.3 / Macros:
	- Adjusted default URL and captions for ViewCVS macro

Fri Oct 07 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #1313703 - Fix typo in "Commit options" tab

Thu Oct 06 2005 Oliver Giesen <ogware@gmx.net>
	* WinCvs 2.0.3 / Macros:
	- cvs2cl.py: added support for building ChangeLogs from dump files to commandline interface (see comments in cvs2cl.py for syntax details)
	- cvs2cl.py: fixed issue with log comments containing sequences of 28 or more dash characters or 77 or more equal signs at the end of a line
	- finally committed installer changes that accidentally went uncommitted the last time around (see below)

Mon Sep 12 2005 Oliver Giesen <ogware@gmx.net>
	* WinCvs 2.0.3 / Macros:
	- SafeTk: added generic base classes for creating Tk-based macros
	- cvs2clTk: added new experimental Tk-GUI version of advanced ChangeLog macro (replaces old CvsAlert-based version when Tk is available)
	- cvs2cl: moved Build ChangeLog selection macros onto their own menu
	- cvs2cl: added options to omit authors and/or files from ChangeLog (not yet available for commandline version)
	- cvs2cl: very long lines are now wrapped even when there already are linebreaks in the original log message; default wrappoint for these is currently at 100 characters
	- RecursiveAddTk: improved error reporting
	- added new component for experimental/new macros to installer and made new and old macros sub-components of the Macros component

Sun Aug 14 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- CJLibrary under GPL - replace CJHyperLink with CHtmlStatic control

Tue Aug 09 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- CJLibrary under GPL - add exhibit and remove some unused files

Fri Jul 22 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #1165827 - Put the selected rev/tag/date to top in the MRU history

Thu Jul 21 2005 Oliver Giesen <ogware@gmx.net>
	* WinCvs 2.0.3 / Macros:
	- #1210786 - Improve chronological ordering of revisions within user blocks
	- Converted remaining macros from PromptEditMessage to CvsPrompt
	  (AddDelIgnore, AddRootModule, Bonsai, BrowseRepoTk, CopyToBranch, CvsView, ListTags, ResurrectFile, RListModule)

Tue Jul 19 2005  Oliver Giesen <ogware@gmx.net>
	* WinCvs 2.0.3 / Macros:
	- Converted first round of macros from PromptEditMessage to CvsPrompt
	  (ChangeRepo, ChangeRoot, cvs2cl, EditFileTypeAssoc, ExtendedAddTk, SearchLogComments and TagAndUpdate)

Mon Jul 18 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #925278 - CvsPrompt API for Python macros to replace PromptEditMessage

Tue Jul 12 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #1236648 - Filter-bar detects case-sensitive changes

Mon Jul 11 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- Fix OnContextMenu handler in HTML Help support
	- #978877 - Let server (i.e. cvswrappers) sort out file types on import

Sat Jul 02 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- Fix setting the button text in alert dialog
	- Change text returned by Python alert interface and default button parameter to distinguish it from button text
	- Set each button text as per passed parameters to allow "Note" alert to control the buttons instead of using C++ code defaults

Tue Jun 28 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #833097 - Block file view refresh while modal dialogs are open

Fri Jun 24 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #994810 - Add menu option to close all graph windows
	- #1226944 - Fix icons for selected items in folders view

Mon Jun 20 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #1220992 - Fix crashes when exiting

Sat Jun 18 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #1218040 - Fix folder icon changing unexpectedly when collapsing the node

Thu Jun 16 2005 Oliver Giesen <ogware@gmx.net>
	* WinCvs 2.0.3 / Macros:
	- Converted existing macros from PromptMessage to CvsAlert

Wed Jun 15 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #891027 - CvsAlert API for Python macros

Thu Jun 09 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #1210404 - Accelerated handling of large cvs outputs, patch by Kirill Müller <kirillmueller@users.sourceforge.net>

Sun Jun 05 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.3:
	- #1176039, #953727 - ComboBox dropdown size corrected for multi-monitor configuration, patch by Kirill Müller <kirillmueller@users.sourceforge.net>

Tue May 31 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.2:
	- #1210406 - Fix command line arguments passing in "Command Line", patch by Kirill Müller <kirillmueller@users.sourceforge.net>
	- #1210685 - Make help window modeless, patch by Kirill Müller <kirillmueller@users.sourceforge.net>
	- Update version info for new release

Mon May 23 2005 Oliver Giesen <ogware@gmx.net>
	* WinCvs 2.0.1 / Macros:
	- Added new macros CmdHere and SearchLogComments
	- Added two template macros to ease getting started on Macro writing
	- Adapted Tk macros to recent changes in library modules.

Mon May 23 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.1:
	- #1190001, #1187900 - Fix problems with escaping backslash in command line arguments
	- Update version info for new release

Sat May 21 2005 Richard Wirth <gcvs@wirthware.de>
	* gCvs gtk2
	- Fix FilesView columns
	- make FilesView columns sorteable (only text in first place)
	- merged some changes from HEAD

Fri May 13 2005 Oliver Giesen <ogware@gmx.net>
	* WinCvs 2.0.1 / Macros:
	- #1195001 - Another small fix to make macros handle Tcl/Tk problems more gracefully

Wed Apr 21 2005 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- MacCvs now uses cvsnt by default (currently, both cvsnt and cvsgui are included and user can switch back to cvsgui:
	    defaults write org.gnu.MacCvs P_UseCvsnt -boolean false
	  The idea is to get rid of cvsgui once we're confident that cvsnt is working reliably on Mac OS X)
	- Browser now properly updates again after move to trash
	- fixed issues where accidentally dragging files/folders within browser window would open a new browser
	- check whether an existing browser already displays the location before opening a new browser and activate
	  that browser instead if one is found
	- bring application forward when dropping files/folders onto app to open a new browser
	- improved log output speed for large checkouts
	- revamped Import dialog: additional options and CVSROOT input
	- revamped Checkout dialog: additional options and CVSROOT input
	- revamped Update dialog: additional options
	- implemented CProgress callback (used when filtering imports)

Sun Apr 10 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.1:
	- #851085 - Disallow to close the graph while refreshing to prevent the crash
	- Update to doxygen 1.4.2
	- Add missing colon on Graph Options dialog

Mon Apr 04 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.1:
	- #1175506 - Fix Memory leak on TreeView refresh, patch by Kirill Müller <kirillmueller@users.sourceforge.net>

Sun Apr 03 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.1:
	- #1167012 - Improved handling of ListView refresh and re-sort, patch by Kirill Müller <kirillmueller@users.sourceforge.net>
	- Separate CVS 1.x/RCS 5.7 compatible output setting for log and graph

Wed Mar 30 2005 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs:
	- make gcvs compileable after Jerzy's changes at the release dialog

Fri Mar 25 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.1:
	- #1167714 - Save and restore horizontal TreeView position at refresh, patch by Kirill Müller <kirillmueller@users.sourceforge.net>
	- #1168924 - Introduce "Added" file state, for the files starting with ".#" display "<Backup copy>" in the Info column
	- Fix the "Removed" filter for missing files and "Modified" filter

Thu Mar 24 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.1:
	- #1167005 - Change in project settings to improve edit-and-continue, patch by Kirill Müller <kirillmueller@users.sourceforge.net>

Tue Mar 22 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.1:
	- #1167907 - Fix version in splash screen

Fri Mar 18 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0.1:
	- #1165133 - Remove compiler warnings, patch by Kirill Müller <kirillmueller@users.sourceforge.net>
	- #1165120, 1023537 - Reduce scrolling on TreeView and ListView refresh, patch by Kirill Müller <kirillmueller@users.sourceforge.net>
	- #760907 - Change the "Edit with editor" accelerator to Shift+F4 so the graph can be closed with Ctrl+F4

Sun Mar 13 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0:
	- Cleal up tips file and help files for 2.0
	- Update instaler and source docs versions

Mon Mar 11 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0:
	- #1158135 - Link with shfolder.dll in an attempt to enable WinCVS running on Windows 98 with outdated shell32.dll

Thu Mar 10 2005 Oliver Giesen <ogware@gmx.net>
	* WinCvs 2.0 / Macros:
	- #1092743 - Copy to branch macro no longer destroys backed up originals when there were modified files in the selection and an error occurred

Mon Mar 08 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 2.0:
	- Fix typo in dll dealock message
	- Update version info for new release
	- #999494 - Add CVSROOT entry for release command
	- #1158979 - Fix commands on a missing folder selection

Mon Feb 28 2005 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b24:
	- Be less strict about which types of tags to display for directories as CVS isn't consistent in that respect itself

Wed Feb 02 2005 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- make gtk2 branch of rf compile on Mac
	- make trunk compile on Mac after latest changes

Wed Feb 02 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b24:
	- Correct the position of the end of options marker ("--") and introduce start files marker ("\n") for 
	  WIN32 to prevent backslash escaping by the cvsgui protocol
	- Update version info for new beta release

Mon Jan 17 2005 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2:
	- merge changes provided by Guy Rouillier to fix some aspects of scrolling the ConsoleView

Mon Jan 10 2005 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2:
	- merge changes provided by Guy Rouillier to correct the scrolling of ConsoleView
	- show locked state icons in FilesView (first icon column)

Sun Jan 09 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b23:
	- #1096507 - Fix error committing files in flat mode caused by escaping backslash characters in cvsgui protocol
	- Update version info for new beta release

Sat Jan 08 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b23:
	- #697306 - Store options set on graph and log dialogs - patch by <tzachi_dar@@users.sourceforge.net>

Fri Jan 07 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b23:
	- Add file attribute setting using "-r" and "-w" command line parameters instead of 
	  checkout read-only setting using CVSREAD environment vriable
	- Add "really quiet" option to the settings

Wed Jan 5 2005 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2:
	- fix default brush in UDC
	- add events EV_CUSTOM_REALIZE and EV_CUSTOM_CONFIGURE

Thu Jan 4 2005 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2:
	- install all new Python macros
	- add Polygon() and Polyline() to udraw.cpp
	- honor PenStyle and PenWidth in udraw.cpp

Mon Jan 03 2005 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b23:
	- #722866 - Delay deleting temp files until reboot

Mon Jan 3 2005 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2:
	- fix endless recursion (macros and FlatView now working)
	- speedup FilesView (switch off display while filling / sorting)

Fri Dec 31 2004 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2:
	- cleanup focus handling to get correct selections for Python macros
	- add icons to menu items (for Python macros)
	- make dialogs with text inputs work again (commit dialog)
	- still endles recursion in FoldersView!

Thu Dec 30 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- Detect hanging dlls and give a warning with instructions to resolve the problem
	- Update version info for new beta release

Mon Dec 27 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b22 / Macros:
	- Added new macros:
	  ChangeRepo.py - "Change Module Path"
	  ChangeSubstModeTk.py - "Change File Option"
	  ExtDiffFiles.py - "Diff selected files"
	  MoveBranchPointToHead.py - "Move branchpoint to HEAD"
	  Override2ndPartyAdd.py - "Override second-party add"

Thu Dec 23 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- Seek for CVSNT executable using it's installation registry key

Wen Dec 22 2004 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2
	- FoldersView now realy working
	- FilesFiew wirking in first place (sorting missing, column names mixed up, refresh on/off)
	- Console Window now works like expected

Mon Dec 20 2004 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2:
	- FoldersView working (sorting still missing), fixed a whole lott of memory leaks

Sun Dec 19 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- Install CVSNT to it's default location and search for it there
	- Don't uninstall CVSNT when uninstalling WinCvs
	- Allow to enter undetected filenames for alternate CVS binary in case it's added to the systems PATH

Sat Dec 18 2004 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2:
	- FoldersView now almost working

Fri Dec 17 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* gcvs, MacCvs, WinCvs:
	- Remove unused cvsunix and cvs-1.9 folders

Thu Dec 16 2004 Richard Wirth <gcvs@wirthware.de>
	* gcvs gtk2:
	- Dialogs work again
	- Console Window functional now (cursor and selection still missing)
	- error / debug messages added

Thu Dec 16 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- Add 'filename' entry log to graph click display

Thu Dec 16 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs, MacCvs, WinCvs:
	- extend parser regex, so it supports cvsnt's new commitlog 
	  entry 'filename'

Wen Dec 15 2004 Richard Wirth <gcvs@wirthware.de>
	* gcvs 1.1:
	- add SubstModeTk.py to installation
	* gcvs gtk2:
	- make consolewindow working again

Wen Dec 15 2004 Richard Wirth <gcvs@wirthware.de>
	* gcvs 1.1:
	- #1024520 - apply patch contributed by <thomasklausner@users.sourceforge.net>
:
Mon Dec 13 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b22 / Macros:
	- Slightly improved error handling/reporting of Build ChangeLog macro

Sun Dec 12 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- #1040608, #905144 - Fix the handling of files and folders starting with dash by adding the "--" 
	  to the command line to mark the end of arguments as appropriate
	- #1060295 - Statusbar message while refreshing the file view advising that Esc key can stop refresh
	- Update to doxygen 1.3.9.1
	- Update version of cvsgui protocol and update documentation, update to doxygen 1.3.9.1

Sat Dec 11 2004 Richard Wirth <gcvs@wirthware.de>
	* gCvs gtk-2:
	- merged diffs contributed by Guy Rouillier <guy-rouillier@speakeasy.net>
	  use autoheader, automake, autoconf, configure to get it configured
	  still only 'working' on linux
	  not really functional

Sat Dec 11 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- Add -X option for log command to enable using graph even if new keywords are added to the log output

Thu Dec 09 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- make gCvs compile again after Jerzy's changes

Thu Dec 09 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- #733803 - Fix XML output generated by GetHistoryAsXML containing special characters

Tue Dec 07 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- #856477 - Fix problems with backslash in command line (cvsgui protocol level)
	- #696727 - Allow backslash in command line command and fix the case when a backslash is the last character

Mon Dec 06 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b22:
	- Added Python 2.4 auto-detection

Sun Dec 05 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- Apply MinGW fix compilation in cvsgui protocol (from TortoiseCVS code)

Fri Dec 03 2004 Richard Wirth <r.wirth@wirthware.de>
	* all
	- prevent from crashing when there is an invalid date in CVS/Entries

Wed Dec 01 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- Add Run-Time Components for Visual C++ Applications download information to the installer

Thu Nov 25 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- correct unreadable text output with some GTK+ themes, patch by Roland Stigge <stigge@antcom.de>

Sat Nov 13 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b22:
	- added ExtendedAddTk macro to installer which was still missing despite Release Notes to the contrary
	- added links to FAQ and mailing list archive to start menu
	- added post-install option to go to mailing list subscription page

Thu Nov 11 2004 Alexandre Parenteau <aubonbeurre@hotmail.com>
	* WinCvs 1.3b22:
	- #1060328 - Issues with Python integration (e.g. pywin32 would not be loaded)
	
Tue Nov 09 2004 Richard Wirth <gcvs@wirthware.de>
	* gCvs gtk-2:
	- new Branch for gCvs to port to Gtk-2
	- commit changes to build on Gtk-2 (start of port)

Fri Nov 05 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- #1060328 - Add missing quotations in some help build commands, patch by George Tasker <georgetasker@users.sourceforge.net>

Thu Nov 04 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b22 / Macros (patch from Mike Wake):
	- added two new config globals "defaultLogName" and "defaultExtArgs" so users could redefine the default "ChangeLog" filename and the log options to use
	- made user entries for the advanced ChangeLog macro and the Module Log macro persistent

Tue Nov 02 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- Eliminate lines at root in modules view
	- Add dummy General tab with information about new CVSROOT settings location

Sun Oct 17 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b22:
	- Copy the message string into a file when entering editor action in multiline entry dialog

Sat Oct 16 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b21 / Macros:
	- Added new macro "Extended Add Selection" which allows full control over "k-flags".
	- Added same functionality to Recursive Add macro
	- Added Options dialog for Recursive Add macro, allowing to toggle advanced/classic "k-flags" UI and defining default extension lists for binary, unicode, ignored and no kw expansion files
	- Moved all this from the CVS submenu to the new "Add" submenu.
	
Sun Oct 10 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- Add column to show last file modification time
	- Update version info for new beta release

Thu Oct 07 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- correct file pane focus problem (thanks to Guy Rouillier)
	- make gCvs build again after Jerzy's last changes

Mon Sep 27 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- Improved keyword substitution entry with new encodings and keyword expanstion flags

Fri Sep 17 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs, MacCvs, WinCvs:
	- i miscount the '=' on parser's log end tag; there must be to 77 '=', otherwise multifile log fails

Sat Sep 14 2004 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- check for user cancel key in MacCvs as well during log parsing

Sun Sep 12 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- Work-around the command line limit using global -F option in cvsgui protocol

Sat Sep 11 2004 Alexandre Parenteau <aubonbeurre@hotmail.com>
	* MacCvs 3.3a3:
	- fix some typos

Fri Sep 10 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs, MacCvs, WinCvs:
	- change parser's log end tag to 76 times '=', was 50 or more '=' (thanks to Busco Bruno)

Thu Sep 07 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs, MacCvs, WinCvs:
	- add support for 'c'
	- change the parser regex to support all known combinations (thanks Oliver Giesen)

Mon Sep 06 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs, MacCvs, WinCvs:
	- add support to cvstree for keywords 'B', 'L', 't' and 'z' (thanks to Andrew Harrison)

Wed Sep 01 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- #680271 - Fix modification detection for files added on branch and merged

Sat Aug 28 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- Remove Timestamp and Conflict columns and introduce Info column to display any 
	  non-datetime information contained in the timestamp
	- Remove Save, Stop and Context Help buttons from the Standard toolbar

Thu Aug 26 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- More exit points for cancelling log printing

Thu Aug 26 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b21 / Macros:
	- #1014715 - Cleanup.py: add config option to cleanup inside unknown folders as well (off by default)
	- #1015816 - cvs2cl.py: add config option to log empty revision comments as well (off by default)

Thu Aug 26 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1, MacCvs 3.3a3, WinCvs 1.3b21:
	- move the 'IsEscKeyPressed' call to enable the user to break the CVS log output while
	  getting the log messages, not only between two files
	- add methode to replace substings by a new string
	* gcvs 1.1:
	- move key code to base class to enable global usage of 'GetAsyncKeyState'; use always
	'IsEscKeyPressed' to check ESC key
	- exchange local signal handling with the handling from the base class; enable idle work
	- optimize date output speed
	- add support for bold and italic console output
	
Tue Aug 24 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b21:
	- Clarified menu captions for Update on Graph context (still needs resid adaptation IMO)

Tue Aug 24 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- #925276 - Allow to abort CVS output dump for log command using Esc key
	- Extend asynchronous test for Esc button so it can detect pressing the key between calls (no need to hold key any more)
	- #1015037 - Fix reset sticky update options interaction with sticky controls

Tue Aug 24 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b21 / Macros:
	- #1014715 - Cleanup changes:
	  - now first processes all files in a folder before recursing into sub-folders; avoids strange skip bug
	  - now removes emptied directories and reports them
	  - now removes files from ignored folders, too
	  - now reports skipped directories as well
	
Sat Aug 21 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- #830523 - Enlarge droplist size in dialogs
	- Rename setup file and use CVSNT setup file as external source so it doesn't get copied into target system

Fri Aug 20 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- Consolidate substitution mode entry controls into a single control and enable free text

Wed Aug 18 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b21:
	- Consolidate CVSROOT entry controls into a single control
	- #1010609 - Fix new update options when Query Update invoked

Thu Aug 05 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b20:
	- Change the installation settings for redistributable VC dlls so they are copied into system folder and don't overwrite existing files
	- Update version info for new beta release

Sun Aug 01 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b20:
	- #471287 - Remove all OLE server related code to eliminate registry access issues

Sat Jul 31 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b20:
	- Remove all CoWorker-related code
	- Add check for empty string to fix crashes in UStr code

Sun Jul 25 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- #851508 - Apply unlink fix to eliminate delete temporary file errors messages
	- Update version info for new beta release

Sat Jul 24 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Trivial help topics for Macros, Graph, Window and Help menus

Fri Jul 23 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Trivial help topics for Modify, Query and Trace menus

Wed Jul 21 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- #974640 - Change the Erase shortcut to F8 to enable deleting text in filter bar with Del key

Tue Jul 20 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- #974639 - Eliminate filter bars re-appearing text when switching flat mode

Mon Jul 19 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- eliminate rescanning folder when selecting the previous folder again

Sun Jul 18 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Eliminate application current directory changes when getting the modification time of the CVS/Entries files

Sat Jul 17 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Fix memory leaks and assertion in status bar code
	- Add tooltip for the status bar, change the reading of admin files to eliminate trailing white space
	- #982654 - Fix shortcut plus force dialog key

Fri Jul 16 2004 Alexandre Parenteau <aubonbeurre@hotmail.com>
	* MacCvs 3.3a3:
	- fixed CW9 project (in fact using CW9.2).
	- Added for good Python as a framework, so going forward it might make
	MacCvsX only running with MacOSX 10.3 or later.

Fri Jul 16 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- HTML help aliases for dialogs and trivial help topics for Admin and Remote menus

Thu Jul 15 2004 Richard Wirth <r_wirth@wirthware.de>
	* WinCvs 1.3b19:
	- fix 'const' in TclGlue.cpp
	
Sun Jul 11 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b19:
	- #684718 - Display active CVSROOT and module name in status bar

Thu Jul 08 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs, WinCVS, MacCVS:
	- 'cvstree' debug options only displayed, if enabled at compile time
	- #986638 - date string "2004-07-07 01:01:00 +0000" is recognozed by
	  the cvstree parser correctly

Mon Jul 05 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Preliminary HTML help topics (partial)

Fri Jul 2 2004 Richard Wirth <r_wirth@wirthware.de>
	* gcvs 1.1
	- fix search path for pixmaps
	
Wed Jun 30 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b19:
	- #790423 - Add "Open folder in new instance" to menus

Tue Jun 22 2004 Richard Wirth <r_wirth@wirthware.de>
	* gcvs 1.1:
	- Add AskYesNoDlg to implement PromptEditMessage() to make more
	  Python stuff work
	
Sun Jun 27 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Invoke CVSNT installer from within WinCvs installer

Sun Jun 27 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- #923765 - gcvs didn't crash on checkout (thanks to Guy Rouillier)

Sat Jun 26 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Menu command to show file or folder properties

Thu Jun 24 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Fix browse location combo box icon after change selection
	- Eliminate spurious reload of browse location items

Tue Jun 22 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Application key handling in HHelp context menu
	- Fix ignored help topic controls

Tue Jun 22 2004 Richard Wirth <r_wirth@wirthware.de>
	* gcvs 1.1
	- make gCvs build again after Jerzy's last changes (removed GetValue.h)

Tue Jun 22 2004 Oliver Giesen <ogware@gmx.net
	* WinCvs 1.3b19 / Macros:
	- changed strategy for reporting (un)availability of Tk library
	- avoided some uncaught exceptions when Tk was not available
	- cvs2cl.py : made check for standalone/macro mode more reliable

Mon Jun 21 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Remove unused GetValue files
	- #976102, #903360 - Use new UI flag for folder browser
	- #972483 - More descriptive merge options
	- #970963 - Fix double-click in graph view
	- #960043 - Correct the selection on right-click in the graph view

Mon Jun 21 2004 Richard Wirth <r_wirth@wirthware.de>
	* gcvs 1.1
	- fixed the problem of endless recursion when selecting
	  'viewModifeid' and others
	- make gCvs build again after Jerzy's last changes

Sun Jun 20 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Use the same interface for sticky options for update and checkout dialogs
	- Add -b, -3, -S and -t options for update and checkout

Fri Jun 18 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Complete HTML help mapping for controls

Thu Jun 15 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- remove GuiDoc from Makefile.am

Tue Jun 15 2004 Richard Wirth <r_wirth@wirthware.de>
	* gcvs 1.1:
	- fixed the automake stuff to make a clean checkout compile
	- fix autogen.sh for VPATH builds

Fri Jun 11 2004 Richard Wirth <r_wirth@wirthware.de>
	* gcvs 1.1:
	- Major changes to UStr to make gCvs more portable
	  resulting in lots of minor Changes almost everywhere
	  now compiles on win32 and linux again
	- fixes to make Python support work on 64bit AMD - but still some issues whith pointers passe by intergers (UMENU)
	- removed cvs 1.10 from build

Fri Jun 11 2004 Oliver Giesen <ogware@gmx.net
	* WinCvs 1.3b19 / Macros:
	- #967708 - cvs2cl.py: Don't fail when existing ChangeLog contains leading blank lines.

Fri Jun 11 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Preliminary HTML help mapping for dialogs and controls
	- Remove all files in GuiDoc
	- cvsgui protocol interface using const char*

Wed Jun 02 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Move makehm calls for HTML help to a separate file and alter help IDs to follow simple IDH_* pattern
	- Remove obsolete WinHelp help files
	- CVS Documentation menu

Tue Jun 01 2004 Richard Wirth <r_wirth@wirthware.de>
	* gcvs 1.1:
	- fixes to avoid compiler warnings / error on 64 bit builds

Tue Jun 01 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Support HTML help popups for controls on property sheets, property pages and dialogs

Tue May 25 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Human-readable names for HTML Help files

Tue May 25 2004 Oliver Giesen <ogware@gmx.net
	* WinCvs 1.3b19 / Macros:
	- #958295 - Don't pass -d option to checkout when no CVSROOT was given. This is possible when the CVSROOT was set in the environment

Mon May 24 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- HTML Help framework

Sat May 22 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b19:
	- Remove unused authentication code from WinCvs-specific part
	- Remove CVS-related help files

Tue May 18 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- Update installation files
	- Fix non-ASCII characters in ChangeLog after Richards's commit

Mon May 17 2004 Richard Wirth <r_wirth@wirthware.de>
	* gcvs 1.1:
	- minor fixes to avoid compiler warnings

Sun May 16 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- Rewrite CVS root string handling in CVS root entry dialog to accomodate keywords containing colon
	- Update to Doxygen 1.3.7

Thu May 13 2004 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- made MacCvs compile again after Jerzy's last changes
	- fixed problem in Mac copy_file code for cvsgui tool where it would not replace existing files

Wed May 12 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- Drop down for list of alternative CVS clients paths in the preferences
	- Use dictionary to remember recently used cvsroot and module name (per directory)
	- Complex suggested checkout folder deduction (back to the first non-CVS folder in the path) to cooperate with dictionary MRU
	- Update version info for new beta release
	- Fix title when refresh for not existing folder

Tue May 04 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- #938636 - Fix missing Directories/Files for long modules paths in Select Module dialog

Sun May 02 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- #865339 - Allow (re-)evaluation of file type settings on Import dialog

Thu Apr 29 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- make gcvs compilable after Jerzy's changes

Thu Apr 29 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- CVS root entry dialog:
		- Parser to initialize the data from CVS root string
		- Keywords preserved when changing protocol

Wed Apr 28 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- MRU for CVS root entry dialog keywords and repository path

Thu Apr 22 2004 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- make MacCvs compile again after Jerzy's changes

Thu Apr 22 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- make gcvs compilable after Jerzy's changes
	- remove unneeded include

Tue Apr 20 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- Consolidate edit, tag and rtag handlers code

Thu Apr 08 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- make gcvs compilable after Jerzy's changes

Mon Apr 05 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- #696080 - Fix "Save Output As" command, remove Save and Send commands

Fri Apr 02 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- Replace CVSROOT settings with command line parameter for commands that may use it
	- Add option to overwrite existing release tags on import
	- On Checkout dialog move the export and CVSROOT options to the main page and console output one to the options

Tue Mar 30 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b18:
	- Fix the input string curruption in termination logic in method 'GetExtension'

Fre Mar 26 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- change string termination logic in method 'GetExtension' (thanks to Guy Rouillier)
	  
Wed Mar 24 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b17:
	- Fix the protocols with no keywords in CVS root entry dialog

Wed Mar 24 2004 Richard Wirth <cvsgui@wirthware.de>
	* gcvs 1.1:
	- add parent to BrowserGetDirectory dialog 

Tue Mar 23 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b17:
	- #912026 - Add default shell action to the file actions and menu
	- Fix Relase build crash in CVS root entry dialog
	- Update version info for new beta release

Mon Mar 22 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- add python support

Sun Mar 21 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b17:
	- #913475 - New setting to control the case sensitivity or file names and folders comparison 
	  against the Entries file contents

Sat Mar 20 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b17:
	- CVS root entry dialog to format CVSROOT value using the cvs info command

Wed Mar 17 2004 Karl-Heinz Brünen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- add gtk part to needed functions for python support
	- add pulldown menu for selecting shell
	- add script engine to gcvs
	- console can use TCL or Python
	- add command ids for shell scripting

Wed Mar 10 2004 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- fixed Graph view problem where large graphs would not display all nodes
	- improved drawing speed of Graph view
	- don't force browser refresh for non-modifying cvs commands (e.g. diff, check update, etc.)

Mon Mar 08 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b17:
	- Fix the template dialog showing after no-template alert

Sun Mar 07 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b17:
	- Add comment to temporary WIN32-specific _i18n definition
	- Update to Doxygen 1.3.6

Thu Mar 04 2004 Karl-Heinz Brünen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- make date combobox on 'sticky options tab' editable again

Wed Mar 03 2004 Karl-Heinz Brünen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- make Jerzy "backport" of CvsAlert compile again

Wed Mar 03 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b16:
	- Split CCVSAlert_MAIN declaration and implementation into WIN32 and gCvs to enable ClassWizard to operate
	- Update version info for new beta release
	
Wed Mar 03 2004 Karl-Heinz Brünen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- more code cleanup
	- reuse WIN32 class declaration of CVSAlert for gcvs
	- add define to use '_i18n' also for WIN32 part
	- remove compile warnings
	- add support for state and encoding column
	- change some more UStr methods to inline
	- now gcvs uses WIN32 class declaration for CvsAlert dialog (further will follow)
	- add SetIcon method rf-framework
	- change 'am_macros' handling
	- add header files to recognize their '_i18n' statements
	- add more translations

Tue Mar 02 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b16:
	- Add checkbox to control the persistence of selected file action

Tue Mar 02 2004 Karl-Heinz Brünen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- use the same method/user info for program exit (incl. checking for running cvs sessions) as WinCvs
	- code cleanup

Mon Mar 01 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b16:
	- Introduce File Action dialog to control the open and edit actions on double-click or Enter key in file and graph view

Fri Feb 27 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b16 / Macros:
	- Macro "Build ChangeLog" (cvs2cl.py):
	- added yet another variation of the macro to build a ChangeLog from a file containing a raw (r)log dump
	- slightly improved error output if CVS returned with an Exit Code <> 0

Thu Feb 26 2004 Karl-Heinz Brünen <gcvs@bruenen-net.de>
	* gCvs, MacCvs, WinCvs:
	- #895594 - Fix problem with empty log messages

Wed Feb 25 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b16:
	- #897862 - Fix menu duplication when changing shell type

Tue Feb 24 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b16:
	- #898341 - Fix the combo box case-sensitive DDX string selection

Mon Feb 23 2004 Richard Wirth <r.wirth@wirthware.de>
	* gCvs:
	- Fix build after new arranged string class code

Mon Feb 23 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b16:
	- Fix the build after gCvs changes
	- String classes: 
		- Arrange code and doxygen comments
		- Move string utility functions to a common place in string header
	- #897804 - Fix saving of column widths for flat mode switch when not in detail view mode
	- #899491 - Fix problems with temporary file name when using external diff with both date and time

Mon Feb 23 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b16 / Macros:
	- Macro "Add Root Module":
	  - the proposed CVSROOT is now pulled straight from the WinCvs settings instead of trying to remember it or looking for environment vars
	  - improved error handling - obviously CVS sometimes sends error output via STDOUT instead of STDERR...
	  - improved prompt message

Thu Feb 19 2004 Richard Wirth <r.wirth@wirthware.de>
	* gCvs:
	- first hacked version of CvsAlert class
	- make global changes from WinCvs compile (work?) in gCvs
	- make gCvs build again (add LaunchHandler)
	- lots of minor fixes

Thu Feb 12 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b16 / Macros:
	- Fixed #895592 - cvs2cl.py was going into an infinite loop when wrapping lines with very long words
	such as "GRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR!" ;)
	
Wed Feb 11 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b16:
	- Move CVS consonle (TTY) setting to the CVS preferences
	- Add setting to control the way CVS process window is shown

Mon Feb 9 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3.16 / Macros:
	- #891574 - the "zip selected" macro failed when only one file selected.

Mon Feb 9 2004 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- more diff options exposed in diff options dialog
	- allow to temporarily change external diff viewer in diff options dialog

Mon Feb 09 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b16:
	- Fix menu accellerator for undefined default editor
	- Eliminate global console object in favor of application data pointer
	- Expose any error during CVS process creation via cvsgui protocol
	- Eliminate checking for CVS binary (WIN32 for now) and let it fail when trying to actually execute command
	- Print CVS launch error description instead of the error code only
	- #891162 - Resource fixes, patch by Hiroaki Itoh <xware_hitoh@users.sf.net>:
		- Fix diff options combo box horizontal scroll
		- Accelerator fixes for status dialog
		- Prompt messages for admin options
	- #891815 - Full in-place description for both line break and dialog confirmation in multiline editing dialogs
	- #862393 - Disable the "Add selection" command if files from different folders are selected in flat mode

Mon Feb 9 2004 Richard Wirth <r.wirth@wirthware.de>
	* all:
	- removed invalid characters from filenames for persitent settings

Sun Feb 8 2004 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3
	- #702243: added encoding options for log messages
	- moved to CFPreferences based preference storage
	- store persistent strings as UTF-8

Sat Feb 7 2004 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- catch stdio output from cvs process, since this may contain valuable information
	  e.g. when using ssh as connection method
	- adjusted launch handlers after Jerzy's changes

Thu Jan 29 2004 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b15:
	- Added macro to create/edit an "Edit" shell association for a selected file extension
	
Thu Jan 29 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Fix the shell edit with default viewer menu string formatting

Tue Jan 27 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Update version info for new beta release
	- Update to Doxygen 1.3.5 and fix some doxygen build warnings
	- Fix the external diff launching for files with spaces in the name
	- Move the Edit/Open commands to Shell Actions popup menu
	- Add Shell Actions menu to the graph view

Mon Jan 26 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #876613:
		- Split the Status column into State and Encoding columns
		- Change the sorting strategy to expose information in State, Option, Tag and Commit columns
		- Fix the removed file detection if the file is still on the disk
		- Remove unneded assertion from Timestamp parsing

Sun Jan 25 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs, MacCvs, WinCvs:
	- #827496, #873258 - correct parser behaviour for commit logs starting with numbers while having branches
	  patch by Hiroaki Itoh <xware_hitoh@users.sf.net>)
	- change compile sequence to prevent compile time error 

Fri Jan 23 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #865923, #718805 - Preliminary support for using arrow keys and control keys to navigate in the graph view, 
	  patch by Hiroaki Itoh <xware_hitoh@users.sf.net>)

Fre Jan 23 2004 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- better sleep time management
	- Xcode project for building cvsgui tool (MacCvs CW Project now uses this binary)
	- #701011 - when cvsgui copies files, it need to take care of resource forks
	- keyboard shortcuts in CvsAlerts were broken
	- redirect printf, etc. output in cvsgui through pipe to MacCvs
	- fixed problem with filetype mapping through ICConfig introduced with previous caching 
	  of ICConfig session
	- moved to WASTE 2.1b1
	
Tue Jan 20 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Move the launch handlers files to the common area
	- #872186 - Fix NULL return from char* operator of UStr class (also fixes affected temporary file names 
	  without extention patch by Hiroaki Itoh <xware_hitoh@users.sf.net>)

Mon Jan 19 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Provide additional view and edit commands to fully utilize shell opening and editing files options, patch by Oliver Giesen <ogware@gmx.net>

Fre Jan 16 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs, MacCvs, WinCvs:
	- correct parser to manage 'revfollow' tag ('-' 28 times) in description text (found by Alex Zolotarev <ZolotarevAV@msn.com>)

Sat Jan 10 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #696568 - Add hotkey to toggle Output and Workspace panes to the file view menu description

Fri Jan 09 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #696531 - Fix IsUnknown() for root node return call from the macros
	- Hide cvs_process_destroy in the header from Win32 programs as memory gets released from within by monitoring thread
	- #866668 - Change checkout -d option description as per command line help

Thu Jan 08 2004 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- fix: pipes were not closed after cvsgui process terminated
	- caching call to ICStart in cvsgui to improve update & checkout performance (up to 5x)
	  (fix by Mikl—s Fazekas <boga@mac.com>)

Thu Jan 08 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs 1.1:
	- remove leading spaces from state entry

Wed Jan 07 2004 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs 1.1:
	- correct parser to make multiline usable for state entry
	- add space usability for state entry

Tue Jan 06 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #871985 - Fix 'Stop CVS' command in graph view
	- #868292, #621476 - Fix graph scroll for large graphs, patch by Myles Jordan <theodyssey@users.sf.net>
	- Fix the filter bar and filters disabling in graph view

Mon Jan 05 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Admin option:
		- Use consolidate multiline entry for log message, description entry and state
		- Trim trailing white spaces in the option string
	- Fix the command line entry description

Sat Jan 03 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #869918 - Fix invalid font after `clear all' in log window, patch by Hiroaki Itoh <xware_hitoh@users.sf.net>
	- #697505 - Fix 'change log message' cutting off text, patch by Hiroaki Itoh <xware_hitoh@users.sf.net>

Fri Jan 02 2004 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #859846 - Better file changes monitoring, extended patch by Hiroaki Itoh <xware_hitoh@users.sf.net>
	- #869199, #750052 - Display summary of selected items in the status bar, patch by Hiroaki Itoh <xware_hitoh@users.sf.net>

Wed Dec 31 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #864462 - Print clicked tag or branch name in Graph view, revorked patch by Hiroaki Itoh <xware_hitoh@users.sf.net>

Thu Dec 25 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #864378 - Fix the protocol check for logout command, patch by Hiroaki Itoh <xware_hitoh@users.sf.net>
	- #865340 - Fix browse for import directory on import options tab
	- #864852 - Fix saving of columns sort order
	- #861505 - Fix Explore Selection in file view

Sun Dec 21 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Improve alert dialog resizing for long message details
	- Remove unmaintained VC7x project files

Fri Dec 19 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Use annotate graph selection handler

Thu Dec 18 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Fix the different release and vendor tag checking when don't create tags options is selected
	- Use new alert API thru the code (except of CJ)
	- Fix Esc key invoking Cancel button and NULL-pointer passed for button titles in alert API

Tue Dec 16 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Fix the return string for CVS question
	- #854056 - Fix crash when reading locations settings, fix by Hiroaki Itoh <xware_hitoh@users.sf.net>
	- #861040 - Fix "show changed files only" filter

Mon Dec 15 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #859830, #718966 - Fix the memory leak in entries modification detection, 
	  patch by Hiroaki Itoh <xware_hitoh@users.sf.net>

Sun Dec 14 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Use new alert API for Python macro prompt message

Sat Dec 13 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- Select a default button at the alert display time (defined as OK if not overriden)
	- Change the erase buttons:
		- set the titles to OK and Cancel instead of Yes/No for all platforms
		- make the default button as Cancel for WinCvs and gCvs but as OK button for MacCvs
	- Use new alert API for CVS command questions

Fri Dec 12 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b15:
	- added a new group for deprecated macros to the installer which is unselected by default
	- added three new macros "Locate conflicts"/"Mark Resolved" and "Cleanup Missing files and folders"

Thu Dec 11 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- adapted to Jerzy's CvsAlert changes
	- new implementation of annotate handler for Graph selection

Wed Dec 10 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- CvsAlert operations changed to comply with OS standard and allow customization
	- Revert the annotate changes as it needs different implementation

Tue Dec 09 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b15:
	- #856463 - fix ViewCvs browsing of a repository's root folder, patch by Claus Nordahl <cnordahl@users.sf.net>
	
Sun Dec 07 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- cursor key support in graph view
	- auto-select current revision when opening graph view
	- added context menu to graph view
	- annotate handler for graph view

Thu Dec 04 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- fixed problem with duplicate entries in browser context menu
	- allow toolbar to be hidden and/or undocked

Thu Dec 04 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- correct some typos
	
Wed Dec 03 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- enable live scrolling for log window
	- don't show log window until it's position was restored
	- added 'open document' AppleEvent handlers that will open browser windows for the
	  specified files/folders
	- added preliminary support for cvs annotate (no settings dialog yet)
	- fixed 'confirm trash' alert & CvsAlert again after Kalle's changes to CvsAlert et al

Wed Dec 03 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- fix compiling after Jens' alert dialog changes
	- beautify gcvs alert dialog

Sat Nov 29 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b15:
	- #836398 - Show merge points in graph view, patch by Sebastien Abras <sabdev@users.sourceforge.net>

Thu Nov 27 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Update version info for new beta release
	- Update BOM for updated version of CVSNT distro files

Wed Nov 26 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #555925 - Fix hangs after pressing 'Stop'
	- cvsgui protocol - Provide flag to control initial show state of CVS process window (defaulted to hidden window)

Mon Nov 24 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- cvsgui protocol:
		- Handles closing on destruction to fix Win95 problems (originally patch by Hartmut Honisch <hhonisch@users.sourceforge.net>)
		- Change the protocol threads to non-blocking and use events instead of flagging variables for threads synchronization

Thu Nov 20 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- improved confirmation prompt when moving files to trash
	- fix: when double clicking an item in the browser, open all selected items instead of
	  just the selected one.
	- added "Remember Current Browser Location" menu item

Mon Nov 17 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- enhanced CvsAlert API
	- chained cvs commands (e.g. adding multiple files/folders) should now work
	- added command keys for the first 10 windows

Fri Nov 14 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3.14 (and potentially MacCvs and gCvs too):
	- made several minor fixes to the Build ChangeLog macro (cvs2cl.py) mostly
	  regarding its use as a standalone script

Wed Nov 12 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- adapted new filter model: added a filter type popup that lets the user
	  select which property to filter on (name, extension, revision, etc.)
	- MacCvs source now compiles with Xcode

Tue Nov 11 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #829673 - cvsgui protocol:
		- Change the process termination strategy, patch by Hartmut Honisch <hhonisch@users.sourceforge.net>
		- Turn hardcoded constants into macros

Tue Nov 04 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #834330 - Fix for 'diff' not working from graph in flat mode, patch by Martin Horn <martinhorn@users.sourceforge.net>

Mon Nov 03 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- add some stuff to the TODO
	- remove cvsgui_protocol files from 'POTFILES.in'
	- change default font for console to a nonproportional font
	- make console font selectable

Mon Nov 03 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Check the sandbox drive type and optionally print the warning if it's not a fixed local drive
	- Reset the file view if browse location doesn't contain files
	- Fix the compilation for console font preferences

Sat Nov 01 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #723102 - Conditional compilation for dirty files support (DIRTY_MCP_SUPPORT, not enabled in WinCvs)
	- Enable RTTI information in CJ and log parser project settings

Wed Oct 29 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Fix the filters settings reading and storing when changing the browse lccation

Tue Oct 28 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Consolidate multiline entry code of commit, import and command line dialogs into a single, generic component
	- Increase the size of the commit history logs
	- Refactor the commit dialog call to eliminate now redundant template path parameter

Sun Oct 19 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Configurable use of Ctrl + Enter or Enter alone to confirm the dialogs with multi-line edit boxes
	- Add option to avoid the vendor tag and release tag creation on import

Fre Oct 17 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- add 'reserved edit' to toolbar and menu(only for use with cvsnt)
	- add code for getting selected comboboxes entry position under GTK
	
Fri Oct 17 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Eliminate offset on the graph for forced revision numbers

Wed Oct 15 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Use the redraw flag instead of lock window update to reduce the erase effect on refresh
	- Fix the filter bar column filters when switching the flat mode

Wed Oct 15 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- add selection handler, I forgot on last November
	- recognize cvs exit status

Mon Oct 13 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- add missing include statement for i18n-stuff

Sun Oct 12 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Filter bar previous filter selection handling
	- Filter change timeout used with millisecond precision

Fri Oct 10 2003 Alexandre Parenteau <aubonbeurre@hotmail.com>
	* MacCvs 3.3a3:
	- fixed CW9 project (in fact using CW9.1 MPTP).
	- Don't use the sh post linker, instead use the new package manager.

Mon Oct 06 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #818454, #469047 - Fix the graph for forced revision numbers, patch by Falk Kniffka <alienbody@users.sourceforge.net>

Thu Sep 12 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b14 (and potentially MacCvsX and gCvs too):
	- Added basic Checkout functionality to Browse Repository Folders macro

Tue Sep 09 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Update copyrights and credits
	- Disable the "Explore" view

Sat Sep 06 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Fix the the saving of the filters settings

Thu Sep 04 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b14:
	- #769542 - Add "Retrieve as..." to Graph menu

Thu Sep 04 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #759299 - Enter key to confirm the dialogs with multi-line edit boxes, Esc for Cancel, Ctrl+Enter for line break

Thu Aug 28 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- fixed binary encoding: it's now possible to specify the encoding per file type
	  and/or file extension.

Sun Aug 31 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Enable the autocomplete for path entries
	- Fix the race condition causing the crash at exit

Fri Aug 29 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #782699 - Fix getting list box text in history combo box, reworked patch originally by 
	Michal Kara <lemming_mk@users.sourceforge.net>

Thu Aug 28 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a3:
	- Filter, recursion and ignore models are now per-browser

Thu Aug 28 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- Allow "Plain Binary" as the default encoding
	- Added option to only apply encoding to binary (-kb) files
	- Remember browser location when opening a new browser by double clicking a folder in the browser
	- Fix: changing Binary Mappings only did not dirty preferences
	- Allow user to abort flat view's file traversal by pressing ESC or cmd-.

Thu Aug 28 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Provide the settings for Python and TCL library files locations
	- #741567, #476227 - eliminate excessive error messages when shell not available
	- Fix the typed selection return in the file selection dialog wrapper

Mon Aug 25 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- enable view menu entry "Change Browser location ..." (reported by a list member)

Fri Aug 22 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b14 (and potentially MacCvsX and gCvs too):
	- Added new macro "Cleanup Ignored/Merging/Unknown files"

Wed Aug 20 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b14 (and potentially MacCvsX and gCvs too):
	- Improved reporting of "Change CVSROOT" macro to make it easier to spot errors and mismatches.

Thu Aug 14 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b14 (and potentially MacCvsX and gCvs too):
	- Massive macro work:
	  - enhanced cvs2cl.py to:
	    - run as a stand-alone script
	    - allow specification of filename and advanced log options (#749533-ish)
	    - do both of the above also based on modules, i.e. using rlog instead of log
	      (see comment section in source file for more details)
	  - added new macro CopyToBranch.py
	    intended as a more flexible replacement for the current CopyToHeadVersion macro
	  - added new macro BrowseRepoTk.py
	    this is the GUI-version of the existing RListModule macro
	  - tweaked temp dir cleanup mechanism in RListModule and BrowseRepoTk
	  - added new function purgeTree() to module MacroUtils
	  - some minor tweaks
	
Thu Aug 07 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Filter bar options, enable and clear menus

Sun Jul 27 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #744193 - Check valid edits option on the commit dialog stored per-sandbox

Thu Jul 17 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Fix the access method to the static member of traversal report class
	- Wrap WinCvs debugging functions using ENABLE_WINCVSDEBUG define and disable it by default

Wed Jul 16 2003: Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- adapt to Jerzy's changes

Wed Jul 16 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- #776956 - correct compile errors with gcc3.3
	- remove compiler warning on "-Wmissing-declaration" only valid pure C
	- remove automake warnings 
	- correct insensitive menus when only a folder is selected
	- ignore File/Folder is now recognized by FileView and FolderView
	- cvsgui_protocol files not any more part of i18n
	- give Richards changes the finishing touches
	- some german translations
	
Wed Jul 16 2003: Richard Wirth <r.wirth@wirthware.de>
	* gcvs 1.1:
	- adapt Jerzys changes
	- exclude cvsunix fom autogen/automake

Tue Jul 15 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Filter bar to enable filtering by any displayed column to replace the file mask combo box
	- Clean up the TODO file a little bit

Fri Jul 11 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	- adapt erase dialog
	
Wed Jun 26 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #641548 - Independent settings for columns width in flat mode and regular mode

Thu May 21 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b14 (and probably gCvs and MacCvsX too)
	- added new macro TagAndUpdate.py by request from the list
	- added utility module MacroUtils.py intended as a repository of various code snippets that could be of use for macro writers

Mon May 19 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- add option to sort by extension
	- add support for statusline output
	- while building the file list print the actual scanned foldername on statusline

Fri May 16 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #574599 - Fix EOL in Root files created by ChangeRoot.py macro

Mon May 12 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- Allow to stop traversing the file view using the Esc key

Mon May 12 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #697446 - Fix crashes when graph view is closed during the graph command execution

Sun May 11 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #692210 - Add "reset sticky" (-A) option for checkout dialog
	- Add "don't shorten the module paths" (-N) option for checkout dialog

Sat May 10 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Fix the extension column

Fri May 09 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #562864 - View file from graph view, reworked patch originally by Bhaskar V. khandke <bhaskark@users.sourceforge.net>

Thu Mar 08 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- it was not possible to diff a file (with subfolder) on flatview with external tool
	- update gcvs project file for supporting cvsgui_protocol folder
	
Thu Mar 08 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* WinCvs 1.3b14, MacCvs, gCvs 1.1:
	- correct behavior for filenames starting with '.' e.g. .cvsignore
	- correct behavior for folders
	- clean up code
	- ignore auto created files in cvs-1.10

Thu May 08 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14, MacCvs, gCvs:
	- #696689 - Add column for file extensions, patch by Hermann Spiegel <hermann.spiegel@web.de>

Wed May 07 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- #728940 - Reduce folder tree flicker when refreshing
	- Fix typo in "License" word

Mon May 05 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Provide doxygen documentation for all cvsgui protocol source and readme fil
	- Remove the shell extension for files from installer
	- Fix typos in doxygen files
	- Create cvsgui_protocol module

Wed Apr 30 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Add option to create a shell context menu during installation, patch by Oliver Giesen <ogware@gmx.net>

Sun Apr 27 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14, MacCvs, gCvs:
	- Sync cvsgui protocol with CVSNT code

Thu Apr 24 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14, MacCvs, gCvs:
	- Add application specific data pointer to the cvsgui protocol CVS process structure and modify callbacks appropriate

Wed Apr 23 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14, MacCvs, gCvs:
	- Synchronize cvsgui protocol files with CVSNT changes and minor code cleanup:
		- Implement binary stdout fixes (CVSGUI1112 branch for client)
		- Remove gCvs debug printout
		- Eliminate STD_STL macro and replace it with plain std::
		- extern "C" wrap for config.h

Tue Mar 06 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- for cvsgui_protocol Makefile.in is negligible
	- remove some warnings
	- #721369 solved: 'macros' renamed to 'am_macros' and all files moved
	- add cvs-1.10 to AC_CONFIG_SUBDIRS in configure, to build the cvs-1.10
	    configure script while autogen.sh call

Tue Apr 22 2003: Richard Wirth <r.wirth@wirthware.de>
	* gCvs 1.1:
	- make gCvs compile again after cvsgui_protocol move

Tue Apr 22 2003: Richard Wirth <r.wirth@wirthware.de>
	* gCvs 1.1:
	- Fix make the STOP-CVS menu entry show the right state (Toolbar also)

Sun Apr 20 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14:
	- Change description of HOME setting to avoid confusion

Sat Apr 19 2003 Alexandre Parenteau <aubonbeurre@hotmail.com>
	* WinCvs 1.3b14:
	- Adaptation to cvsgui_protocol move for cvs-1.10 and VC7 projects
	* gCvs, MacCvs
	- Adaptation to cvsgui_protocol move for cvs-1.10 automake

Sat Apr 19 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b14, gCvs, MacCvs:
	- Move cvsgui protocol files into it's own folder: cvsgui_protocol, tags: BEFORE_SEPARATING_CVSGUI_PROTOCOL, AFTER_SEPARATING_CVSGUI_PROTOCOL

Thu Apr 17 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- Update the doxygen files for new beta release and update doxyfile to Doxygen 1.3

Tue Apr 15 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- #721115 - Fix default operation parameter when launching the file viewer, (patch by Björn Carlsson <bcn@users.sourceforge.net>))

Mon Apr 14 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- Use CVSNT binary from CVSNT subfolder
	- Update install script:
		- Update CvsGui mailing list link in info file
		- Install CVSNT files into CVSNT subfolder, separate doc and binaries in script input
		- Add internet shortcut files for CVSNT and CvsGui
	- Update version info for new beta release

Sun Apr 13 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- Add General tab to the command line dialog

Sat Apr 12 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- #434314, #698150 - Fix binary diff and retrieve revision from the graph
	- Block redraw while resetting the browser or expanding the item to speed up the exit and item expansion
	- Small list controls refactoring:
	- Use SetListCtrlExtendedStyle to set the extended styles of the list controls 
	  (Diff Options, Import Filter, File View, Customize Menus, Tag/Modules List, Selection Details)
	- Add label tip extended style to all controls

Sat Apr 05 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- Filters:
		- #699547 - Clear All Filters menu and toolbar added, 
		- Move unknown filters to the right so the cvs filters are together
		- Change the ignored filter icon so it looks like a toggle (checkbox)
		- More descriptive filter tooltips and prompt messages
		- Add a new filter to hide any missing files or folders
		- #613158 - "Hide Unknown" hide folders as well
	- Add -C option to the import dialog

Fri Mar 28 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- #710565 - Fix the crash if Entries file is corrupted

Thu Mar 27 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- #699305 - Add -B option to the tag and rtag dialogs, add -F option for branch creation so branch tags can be effectively moved
	- Add option to force CVSROOT to the rtag dialogs

Tue Mar 25 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- #696005 - Introduce vendor branch id option for cvs import

Sun Mar 23 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- #548193 - Fix popup menu in graph view

Sat Mar 22 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13:
	- Fix the release command when deleting all files (including the non-cvs controlled files)

Wen Mar 19 2003 Richard Wirth <r.wirth@wirthware.de>
	* gCvs, WInCVS, MacCVS:
	- fix a Null pointer exception in cvstree/parser.yy

Wen Mar 19 2003 Richard Wirth <r.wirth@wirthware.de>
	* gCvs 1.1:
	- make common/CvsArgs.cpp compile on linux (ambigious call to strchr() - STL problem)

Sun Mar 16 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b13, MacCvs, gCvs:
	- Change the default setting for Checkout read-only to false
	- #703865 - Fix the "Other options" argument handling in the diff dialog
	- #698115 - Fix 'Add to .cvsignore' macro (AddDelIgnore.py), patch by <at@systematic.dk>

Thu Mar 06 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- #595275 - Fix typo in quiet option description

Sun Mar 02 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12:
	- Fix conditional compilation in CvsCommands.cpp and Authen.cpp

Fri Feb 21 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2: made a release (tag MACCVS33a2)
	- known issue: cvsgui doesn't launch on Mac OS X 10.1 because of incompatible
	  Kerberos libraries 

Fri Feb 21 2003 Jens Miltner <jum@mac.com>
	* MacCvs
	- added workaround for unresolved symbols on Mac OS X 10.1.x

Fri Feb 21 2003 Jens Miltner <jum@mac.com>
	* MacCvs
	- cleaned up repository, removed old obsolete files

Fri Feb 21 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- added switch to _buildMacCvsX script to allow building a disk image containing
	  the application for drag&drop installation instead of using an installer package
	- added a feedback cursor when migrating old-style sandboxes
	- new Mac OS X style about box
	- renamed release application to "MacCvsX.app"
	- simplified diff_in_BBEdit AppleScript

Fri Feb 21 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12:
	- Update the doxygen files, install script and version info for new beta release

Thu Feb 20 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- adjusted UI to better match Aqua appearance
	- fixed problem where moving files to trash would sometimes fail
	- improved window zooming and default window positions: now honors toolbar
	- use system-provided stop, caution and note icons in ImportFilter dialog

Thu Feb 20 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12, gCvs, MacCvs:
	- Remove MIGRATECVSROOTLIST conditional compilation (Tags: before_MIGRATECVSROOTLIST_remove, after_MIGRATECVSROOTLIST_remove)

Wed Feb 19 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12, gCvs:
	- Small adjustments to the MIGRATECVSROOTLIST code

Tue Feb 18 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12:
	- Lazy checking of the browse location entries status

Tue Feb 18 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2
	- got rid of AppleScript droplet for using BBEdit as external diff viewer.
	  MacCvs is now once again "resource fork clean"

Mon Feb 17 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- #672333 - Rename "Create" menu to "Remote"
	- remove some compiler warnings at Richards CommitDialog changes
	- 'MIGRATECVSROOTLIST' stuff done for gcvs; 
	   files are tagged with 'before_gcvs_MIGRATECVSROOTLIST_done'
	   and 'after_gcvs_MIGRATECVSROOTLIST_done'
	
Mon Feb 17 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12:
	- #680332 - Fix adding files from multiple directories (temporary fix only, 
	  needs fire-and-forget to work properly with normalized command handlers)

Sun Feb 16 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12:
	- Set default values in diff dialog (allows quick diff against HEAD revision or "yesterday" date)

Fri Feb 14 2003 Jens Miltner <jum@mac.com>
	* MacCvs:
	- removed CFM and non-Carbon support. 
	  I've tagged the entire repository with MAC_CFM_SUPPORT_LAST_REV and
	  MAC_CFM_SUPPORT_REMOVED before resp. after the change

Fri Feb 14 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12, gCvs, MacCvs:
	- #685158 - Work around problems with DDX data exchange in combo boxes

Thu Feb 13 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12, gCvs, MacCvs:
	- #644102 - Suppress "Saved settings..." message on Persistent.SetValue
	- Refactoring of persistent classes

Wed Feb 12 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12:
	- #672333 - Rename "Create" menu to "Remote"
	- #595275 - Fix typo in quiet option description
	- Stop generating the map file in Debug build

Tue Feb 11 2003 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b12 (and potentially gcvs and MacCvs too):
	- Added new Python macro AddRootModule.py . Combine this with the
	  RecursiveAdd macro and you should pretty much never have to (ab)use
	  the Import command ever again. ;)

Tue Feb 11 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b12:
	- #676696 - Fix PWD in shell window (temporary fix, needs re-work)

Tue Feb 11 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- fix a problem with wincvs having unresolvable symbols when compiling cvstree
	
Mon Feb 10 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- fix problems with cvsnt's 'kopt' feature; (patch by Hartmut Honisch <hhonisch@users.sourceforge.net>)
	
Sat Feb 8 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- moved path popup menu in browser into the context menu
	- added "Reveal in Finder" context menu item

Fri Feb 7 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- move 'IsAppEnabled' to one place
	- add reset view flag to some cvs commands, i forgot before
	- move code for reload command to 'UCvsFrame'; cleanup File/folder view code, remove double code
	- add filemask combo to filter toolbar

Thu Feb 6 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- use for gOldCvsroots array size the already defined 'NUM_CVSROOT' size
	- add support for toolbar comboboxes
	- further i18n support
	- add 'Erase all' to Edit menu
	
Wed Feb 5 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- #679386: 'commitid/kopt in (r)log' patch added 
	  (thanks to Hartmut Honisch <hhonisch@users.sourceforge.net>)
	- remove dependence of 'common' stuff
	
Sat Feb 1 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- don't use option key to skip command dialogs; always rely on
	  checkbox option instead. (Shift key still forces dialogs to show)
	- use CGTextRendering by default for all text
	- added detection & migration for CFM style sandboxes 
	  (i.e. CR -> LF conversion in CVS metafolders; use filesystem permissions
	   instead of Finder locking to make files read-only)
	- adjusted sleep time to reduce CPU load while we're idle

Fri Jan 31 2003 Richard Wirth <r.wirth@wirthware.de>
	* gcvs 1.1:
	- Fixed a bug when persitent values are loaded

Fri Jan 31 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Update the doxygen files for new beta release

Fri Jan 24 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- revised method for skipping command dialogs:
	  Since there are already preference values for skipping the command
	  option dialogs for update, diff, log, etc., we now make use of those
	  in MacCvs as well. The dialogs in question now sport a new checkbox
	  that allows the user to always skip the dialogs unless the option key
	  is pressed. In case the user can't remember whether this option is on,
	  pressing the Shift key forces the option dialogs to be shown.

Mon Jan 27 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Update the version info for new beta release
	- Upgrade install script to InnoSetup 3.0.6
		- Help icons added
		- #671712 - Add CVSNT Reference Manual icon
		- Some script improvements (suggested by Bo Berglund <bosse@agiusa.com>):
			- Add application identifier
			- Disable startup prompt
			- Disable "directory doesn't exist" warning
			- Component list shown only when the custom install is selected

Fri Jan 24 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- when selecting Diff, Graph, Log or Update with option key down, 
	  the options dialog is skipped and default options are used.
	- when invoking Diff from GraphView, the options dialog is now shown
	- also, when invoking Diff from GraphView, the revision/label information
	  is set up in the options dialog to reflect the actual revisions/labels
	  that are going to be compared. (This will affect the other platforms, too).
	  In MacCvs, the entire group that specifies the revs/labels is then disabled.
	- MacCvs now supports using BBEdit, FileMerge or CodeWarrior as external 
	  diff tools. Also, there's an option to specify a custom tool or application
	  by path. Any application or commandline executable/script can be used.
	  Applications are launched and the two documents to compare are sent in
	  an open document event, whereas for tools/scripts, the document paths
	  are passed as arguments.
	- fixed a memory leak in MultiFiles::Normalize

Fri Jan 24 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Remove SCC entries from the project files
	- Remove VC5 project file and makefile from cvstree project

Wed Jan 22 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* Problem with parsing log for locked files Richard Wirth <r.wirth@wirthware.de>
	* gcvs 1.1:(affecting graph in WinCvs) solved

Wed Jan 22 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- fixed crash when trying to load non-existing framework
	  (e.g. Python.framework)
	- increased scrolling speed in Graph View

Tue Jan 21 2003 Richard Wirth <r.wirth@wirthware.de>
	* gcvs 1.1:
	- The ItemListDialog is now working
	- fixed a bug in CModuleParserConsole::Parse()
	
Wed Jan 22 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- #606641 - Include unknown folders contents in Flat View, ignored folders may be included using the "Show ignored" filter key
	- #454389, #437390 - Allow to stop traversing the file view using the Esc key

Tue Jan 21 2003 Jens Miltner <jum@mac.com>
	* MacCvs, WinCvs, gCvs:
	- Multifiles normalization removed empty directories from the MultiFiles
	  This caused adding directories from the browser to become a NOP.
	- removed 31 character limit on temporary file names in MacCvs

Mon Jan 20 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2 (and potentially WinCvs, gCvs):
	- require MultiFiles normalization for "Add" selection handler to avoid incorrect
	  warning about illegal filename

Tue Jan 21 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- #446567 - File view performance enhancement
	- #667789 - Fix for EditSafely.tcl script for filenames with spaces 
	  (patch by Thomas Günther <thomas.guenther@intesio.de>, Alexander Schön <alexander.schoen@intesio.de>

Mon Jan 20 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- improved dylib loading mechanism to allow loading both CFBundle based dynamic libraries
	  (e.g. Frameworks) and plain dyld libraries
	- use /usr/bin/tcl-8.3 as the TCL implementation on Mac OS X
	- added postlinker shell script to the CW8 project that copies the cvsgui binary into
	  the app's Resources directory, which is now the default location for the cvsgui tool

Mon Jan 20 2003 Jens Miltner <jum@mac.com>
	* WinCvs, gCvs, MacCvs:
	- Doxygen multi-platform support on MacOS X & Linux (can build WinCvs, MacCvs or gCvs),
	  controlled by the command line parameter
	- DoDoxygen.sh is now shared between MacOS X and Linux; DoDoxygen.mac.sh is obsoleted

Mon Jan 20 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs, gCvs, MacCvs:
	- Doxygen multi-platform support on Windows (can build WinCvs, MacCvs or gCvs), controlled by the command line parameter
	- Add SourceDoc to the MacCvsSrc module

Sun Jan 19 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- #411543, #667134, #524013 - Application key context menu support, right click more compliant with Windows Explorer 
	  (reworked patches originally by Björn Carlsson <bcn@users.sourceforge.net> and Alexey Panchenko <panchenko@users.sourceforge.net>)

Thu Jan 16 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- Fix the build after the Jens changes

Wed Jan 15 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- Implemented MultiFiles::Normalize
	  The CvsCommandHandlers now can normalize the MultiFiles
	  if the cvs command doesn't work properly with partial paths
	- tagged cvsgui module with BEFORE_MULTIFILES_NORMALIZE before
	  and IMPLEMENTED_MULTIFILES_NORMALIZE after the implementation
	- added first version of doxygen shell script to build documentation
	  on Mac OS X

Tue Jan 14 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0:
	- implent bugfix 'rf/uwidget.c/gtkcancel()'
	- add 'StatusDlg.h' to 'common/Makefile.am'
	- prepare gcvs.spec
	- correct problem with search path for TCL
	- add make_configure for distribution and add 'rpm' section for
	  building distributions
	- remove 'cvsunix/cvs.spec'
	  while building the RPMs, rpm searchs the tarball for
	  spec-files and found the cvsunix one first. rpm uses this
	  one to build the RPM, what will as exspected fail. As we
	  didn't need cvs.spec for gcvs 1.0 it will be removed.

Fri Jan 10 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0:
	- make MainConsole editable again (was lost somewhere in gcvs)
	
Sat Jan 11 2003 Richard Wirth <r.wirth@wirthware.de>
	* gcvs 1.1:
	- Fix a bug in rf/uwidget.c/gtkcancel()
		- BUG: if the dismiss button of a dialog is clicked,
		  the whole rf gets screwed up
		- gtkcancel() returns always TRUE and DoModal()
		  is resposable for cleaning up
	- replaced the X-cursor by a 'left up pointer'
	
Fri Jan 10 2003 Richard Wirth <r.wirth@wirthware.de>
	* gcvs 1.1:
	- new style for commit dialog (like WinCvs)
	- start porting ItemListDlg and SelectionDetailsDlg
	
Fri Jan 10 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0:
	- #649102 build on gcc alpha fails
	- Hunt down all "cvsgui.org" and replace it with cvsgui.sourceforge.net
	- prepare gcvs.spec for gcvs 1.0
	
Wed Jan 08 2003 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- Fix the build after the i18n changes

Wed Jan 08 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Fix the build for i18n stuff
	- Fix the file name checking in graph view

Tue Jan 07 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- Feature Request 58926: add 'Get clean copy' to update dialog 
	  patch by Richard Wirth <r.wirth@wirthware.de>
	- further flatview and i18n stuff
	- source cleanup
	- build process updated

Mon Jan 06 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- update the automake stuff
		- use standard gnome macros for building
		- move pixmaps from 'cvsgui/gcvs/pixmaps' to 'cvsgui/pixmaps'
		  to use the standard build stuff
		- add gcvs.spec.in; generate gcvs.spec automatically (e.g. puts
		  version into it)
		- add gcvs.desktop.in.in; generates GNOME/KDE menu entry
		
Mon Jan 06 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Browse Tag/Module dialog:
		- #651928 - Message when modules empty (in the list control) 
		- #651926 - Show the details of modules 
		- Show the error message if command fails
		- F5 to refresh the dialog
		- P_ItemListModuleList saved per-sanbox
		- Auto refresh type setting introduced, separate for the tag and module browser
		- Introduce "Selection details" dialog

Sun Jan 04 2003 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- problem with displaying colomns solved
	- add filter support
	- support for i18n added
	- fix build after Jerzys changes (reported by Richard Wirth <r.wirth@wirthware.de>)
	- code cleanup
	
Fri Jan 03 2003 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* gCvs 1.1:
	- "small fix for gCvs", patch by Richard Wirth <r.wirth@wirthware.de>
	
Mon Dec 30 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Add the progress dialog to the filtering stage of an import command
	- Fix the LaunchViewer function 

Sun Dec 29 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- File view 
		- restore the original path in CBrowseFileView::GetEntriesModTime to prevent locking the directory so
		  the release command can delete the selcted folder as well
		- clean up

Sat Dec 28 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Fix the build after Karl's changes

Fri Dec 27 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs 1.1:
	- code cleanup
	- add flatview (recursive view)
	- support for popups prepared (not working yet)
	
Fri Dec 27 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Release dialog:
		- make as a property page (with global settings like other commands)
		- add new options (-e, -f) supported by CVSNT

Thu Dec 26 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Browser view:
		- replace icons with single bitmap(toolbar resource) to create the image list
		- code cleanup
		- enable the command line command for non-CVS selection
	- Import dialog
		- replace icons with single bitmap(toolbar resource) to create the image list

Wed Dec 25 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Graph view - code cleanup, diff invoked from graph using the selection handlers:
		- #656210, #656207 - Diff from Graph allows select settings
		- #655202 - Fixed crash when closing graph view during diff

Sun Dec 22 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs 1.0rc2:
	- problems with installing on FreeBSD resolved (thanks to Dirk Meyer)

Thu Dec 19 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- problem with gcc 3.1 resolved (reported by robert rottermann <robert@redcor.ch>)
	
Thu Dec 19 2002 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b11 (and potentially gcvs and MacCvs too):
	- Added new Python macro RecursiveAddTk.py and accompanying library module SafeTk.py. 
	
Wed Dec 18 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0rc1:
	- #649105 - getopt conflicts in FreeBSD 5.0 resolved
	- compile warning removed

Sun Dec 15 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Log dialog:
		- #644105 - Add "-S" option to the log dialog, persistent for given browse location
		- Add "-t" option to the log dialog (exclusive with "-h" option)
		- Change the log options labels to better reflect the command line options
	- Command line dialog:
		- Add the option to force CVSROOT
		- Insert the initial directory if "Execute for directory" clicked and the folder is not specified
		- Show command line command accelerator (Ctrl+L) in the menu text

Thu Dec 12 2002 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- default location for "Settings" folder is now inside the "MacCvs Preferences" folder in the
	  user preferences folder. When the "Settings" folder does not exist in the new location and 
	  we find one in the application directory, the user can choose to move the folder or use the old location.
	
Thu Dec 12 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Fix the command line command
	- Command line dialog:
		- Change the signature of CompatGetCommand to pass parameters not the argument's object
		- Use single exit point from CompatGetCommand
		- Allow the selection to be a used as part of command
		- Add the tag and module browser buttons to help formatting the command
		- Remove the check that command line is not empty -> GUI must verify the input is correct instead
		- Remove the "pick:a:mac:path:" default value for sLastPath for TARGET_OS_MAC, 
		  that should be set in the GUI if the path is empty instead
		- Define CVS_CMD macro instead of hardcoded "cvs"
		- History combo box for directory entry

Tue Dec 10 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Fix the build with STLport-4.5.3 (findtcl.cpp)

Mon Dec 09 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Update comments in Smart Combo Box files, base the private window messages on WM_APP instead of WM_USER

Sun Dec 08 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- reorder compile sequence, to compile the relay framework first
	
Sun Dec 08 2002 Jens Miltner <jum@mac.com>
	* MacCvs 3.3a2:
	- adjusted to Jerzy's API changes for BrowserGetDirectory 
	- contextual menu click in browser now adjusts browser selection before displaying the context menu 
	- added "Graph" menu item to the browser's contextual menu
	
Sun Dec 08 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- #436402 - "Settings" folder location configurable 
	  (had to scrap the changes for MacCvs of Jens Miltner though - sorry, no need for even more hardcoded paths ;)

Fri Dec 06 2002 Jens Miltner <jum@mac.com>
	* MacCvsX 3.3a2:
	- Login dialog is now shown for non-anonymous pserver access
	- Fixed crash when AppleEvent was resumed after being suspended
	- Improved flat view performance
	- Settings are now stored in ~/Library/Preferences/MacCvs Preferences/Settings/
	- Mouse wheel now also operates on background windows

Thu Dec 05 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- Fileview / Folderview will be reloaded after macro execution
	- ignore button is always (expect a other cvs command is running) usable
	
Thu Nov 28 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- #479925 - Fix the identity file label in SSH options dialog (it's a private key file, no the public one)
	- Remove "tips" from the SSH options labels (options dialog is not a manual after all)

Wed Nov 27 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- #576763 - Fix save settings for similiar paths (eg. C:\USER\CVS and C:\USER\CVS_NT), patch by 
	  Ph. Marek <marek@bmlv.gv.at>
	- #642000 - Fix for external diff with UnixLF option selected, patch by Manfred Koizar

Mon Nov 25 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- #638419 - Fix wrong description of option -4 in SSH settings dialog

Mon Nov 25 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- Adapt to Alex changes at 'Persistent.cpp'
		
Sun Nov 24 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Added small delay in cvs_process_handle_message() to work around problems on Win9x,
	  patch by Robert Kraske <robekras@users.sourceforge.net>

Sat Nov 23 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Full diff options available from the diff dialog (also #553185, #598422 to add unidiff)
	- #607200 - Add keyword substitution option on Update and Checkout dialogs

Sat Nov 23 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- add reset view flag to KiSelectionHandler
	- remove "#ifdef _0_" from gcvs merge
	- add selection handler to forgotten functions
	
Fri Nov 22 2002 Alexandre Parenteau <aubonbeurre@hotmail.com>
	* All:
	- Fix the persistent values for Python, reported by Oliver.

Sat Nov 16 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- #522355 - Change "TCL" into "Shell" when used in the menu

Fri Nov 15 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- #638524 - Fix the browse button in the Import Options dialog

Thu Nov 14 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Remove cvs-1.10 dependency 
	- Remove cvsgui/cvs-1.10 and cvsgui/InstallShield from WinCvsSrc module 
	  (previous WinCvsSrc module was renamed to WinCvsSrcOld)

Mon Nov 11 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b11:
	- Fix the compilation if USE_TCL=0
	- Add "Copy to HEAD version" macro, submitted by Archimedes Trajano (trajano@users.sourceforge.net)

Sat Nov 09 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- Remove InstallShield setup
	- Introduce Inno Setup 
	  (WinCvsSrc module has changed, requires fresh checkout to get the new directory)

Thu Nov 07 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0rc1:
	- #599209 - check if unsetenv exists
	- #599243, 631401 - support for automake 1.6.3
	- #597357 - Relocate default install path to '/usr/local'
	- #420786 - Problem compiling cvsgui stuff in cvsunix
	- add '--add-missing' to automake call
	- prepare version info for release candidate

Thu Nov 07 2002 Oliver Giesen <ogware@gmx.net>
	* WinCvs 1.3b11 (and potentially gcvs and MacCvs too):
	- added six new Python macros:
 		- ChangeRoot.py (improved replacement for ChangeRoot(Tk).tcl)
 		- cvs2cl.py (improved replacement for cvs2cl.tcl)
 		- HideAdminFiles.py (toggles hidden flag on files and folders in sandbox administrative area [Win only!])
 		- ResurrectFile.py (resurrects a cvs remove'd file to a committable state)
 		- RListModule.py (a primitive emulation of cvs ls for non-cvsnt servers)
 		- ShowLogEntry.py (simple shortcut for displaying the log entry for the currently checked out revision of a selected file)

Wed Nov 06 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- tcl8.4 support was a bit buggy ;) (only 8.4 was supported); tcl8.3 support restored

Thu Nov 07 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- Add GPL exhibit to the files that missed it
	- Update the version info for new beta release

Tue Nov 05 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- gcvs supports Tcl 8.4
	- for cvs-1.10 Makefile and Makefile.in are negligible
	- Fix the build after Jerzy changes
	- cvs testing corrected; alternate cvs bin is only tested if the checkbox is activated
	- keep alternate cvs setting after closing dialog
	- make of special files is equal to the process for normal files ( automake style )
	
Tue Nov 05 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- #629689 - Fix crash on custom menu when upgrading, patch by Anders Truelsen <at@systematic.dk>

Mon Nov 04 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- #629777 - "Open With..." will not be used for files without the extension since they can't be associated permanently
	- Helper functions moved from CvsPrefs.cpp/h and TextBinary.cpp/h to CvsCommands.cpp/h where they belong
	- Create IsHideCommandKeyPressed() to detect wheher the key to force the dialog is pressed
	- Rename cleanUpLogMsg() to CleanupLogMsg() for consistency
	- Clean up the code in CvsEntries.cpp/h
	- Add doxygen comments along the way
	- Fix the build after CompatGetTagListItem and CompatGetModuleListItem signature change

Sun Nov 03 2002 Alexandre Parenteau <aubonbeurre@hotmail.com>
	* MacCvsX 3.3a2:
	- Adapt to Jerzy changes
	- Put everything back inlined inside CvsEntries.h since it has a great impact on speed when traversing
	(hope Oxygen still likes it)
	- Add the tag, branch, module browser from within the usual popup selector (new item 'Browse...").

Thu Oct 31 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- #631071 - Fix commit diff preview problems with flat view and multi-selection
	- #629777 - Try "Open With..." dialog if initial open fails when launching the file viewer

Wed Oct 30 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- Module/Tag/Branch browser double-click selects the item

Tue Oct 29 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- #626789 - Fix the alternative ssh executable (and anything else in authentication using putenv())

Mon Oct 28 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- Fix the build after Alex changes
	- add LoginDlg.cpp and LoginDlg.h

Mon Oct 28 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- Add :server: authentication support
	- Fix the build after Alex changes

Sun Oct 27 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- Introduce login settings dialog to allow loggin using current CVSROOT
	- #451941 - Display additional warning message after CVSROOT change

	* gcvs/MacCvs/WinCvs:
	- Login and logout doesn't exit since we can not be sure about current sandbox settings etc.,
	  message about login and logout for pserver or sspi authentication as a reminder only

Sat Oct 26 2002 Alexandre Parenteau <aubonbeurre@hotmail.com>
	* MacCvsX 3.3a2:
	- Revisit MultiFiles, make it more STL like. Immediate consequence : should
	break WinCvs and gCvs. See CvsCommand.cpp for new usage.
	- Restore CWCVS to work, big work around MacCvsAE.cpp
	- Add an external diff identical to WinCvs/gCvs (using system). Default to
	/usr/bin/opendiff (Apple Developer tools)
	- Started implementing the Commit diff preview "a la Jerzy".

Fri Oct 25 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- click on revision in graphlog prints revision info on main console
	- autogen.sh uses 'cvs' as packagename (was stolen form cvs-1.10)
	- add NO_AUTO_GEN to cvs-1.9 and cvsunix
	- ignore temp. automake files
	- set default size to 1024x800
	- Update the Doxyfile to Doxygen 1.2.18
	- project file updated
	
Thu Oct 24 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- Macro menu sorted
	
Wed Oct 23 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- cvsunix is no longer needed for gcvs. 
	  cvs-1.10 is now used.
	- support for autogen.sh added. make_configure is no longer necessary

Tue Oct 22 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b10:
	- #626602 - Pass current file revision for the preview diff in commit dialog
	- #626671 - Fix prune empty directories option in update
	- Fix the communication encryption option for sspi authentication

Sun Oct 20 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9:
	- Update the version info for new beta release
	- Update the Doxyfile to Doxygen 1.2.18, update the version in DoDoxygen.bat

Sat Oct 19 2002 Alexandre Parenteau <aubonbeurre@hotmail.com>
	- Made a new CVSGUI1112 on top of cvs-1.11.2.
	- Should work already on unix, win, and mac.
	- Dropped support for Mac CFM (CVSGUI_SHL). Will be Mach-O only. Consequently
	the number of changes is minimal now with the regular cvs 1.11.2.
	- Interesting : with CVSGUI1112, I get the message :
	"cvs.exe commit: dying gasps from cvs.cvsgui.sourceforge.net unexpected"
	Wonder if it is related to the problems discussed on the cvsgui list.
	- Developer are encouraged to try it (cd cvs-1.10; cvs update -r CVSGUI1112).
	- Added a cvs-1.10/autogen.sh to build cvs from scratch

Thu Oct 17 2002 Alexandre Parenteau <aubonbeurre@hotmail.com>
	* MacCvsX 3.3a1: made a release (tag MACCVS33a1)
	- You need CodeWarrior 8 to build MacCvsX, and gcc to build cvs.
	- No CFM planed for 3.3 cycle.

Tue Oct 15 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9: 
	- Hunt down all "cvsgui.org" and replace it with wincvs.org or cvsgui.sourceforge.net

Fri Sep 27 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs/MacCvs/WinCvs:
	- #887    - commit messages can start with cvs log keywords (e.g. revisition, date)
	- #536536 - support for login name with spaces in it

Thu Sep 26 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs/MacCvs/WinCvs:
	- #813    - commit with 'force commit' and 'force recursive'

Wed Sep 25 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9: 
	- #592175 - Update Tips Of The Day, patch by Tim Hunt <tjh1000@users.sourceforge.net>

Thu Sep 19 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9: 
	- #540992 - The "Display only if Shift key is down" checkboxes size problems with large fonts

Sat Sep 16 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- #597276 - mouse pointer faces to the left side (usual direction under GTK/GNOME)

Fri Sep 13 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9: 
	- #585452, Bug 805 - Unable to force expansion type, clean up some hardcoded strings in import code

Mon Sep 09 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9: 
	- Fix the build after Karl's merge, restore some missed code in cvs_process_run
	- Use #pragma warning(push) and #pragma warning(pop) when disabling the spurious warnings in STL headers
	- Removed operator->() from PERSISTENT_CAST because it generates warning about having it defined for simple types
	- Fix the branch detection in tag/branch browser, report by Johann Gail <Johann.Gail@gmx.de>
	- Improve the handling of 'Read From' entry in tag/branch browser
	- Change optimization settings: maximize speed and "any suitable" for inline expansion
	- Rename column 'Date' into 'Timestamp'

Sat Sep 07 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- GCVS10 branch merged into main

Sat Sep 07 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9: 
	- Tags/modules browser extended to show descriptions, list files and
	  directories using the "cvs ls" command, allow sorting and remote data fetching using current cvsroot
	- Change the shortcut for diff command to 'Ctrl+D' (old 'Alt+=' shortcut is also kept)
	- Use CvsArgs::addcvsroot() for init and checkout (instead of duplicated code)

Mon Aug 19 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0b5:
	- Bug #572, #568552 fixed; ignoring broken links; add some debug statements
	- Bug #860 fixed (thanks John Grahor)
	- support for doing cvs commands (add/update) on several folder (selected in the fileview)
	- Bug #561507 fixed; enviroment is no longer modified after cvs command
	- Bug #455 fixed; alphanum sort in left Panel (FolderView)
	- make code look prettier
	- Comboboxes are case senitive

Tue Aug 13 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs/MacCvs/WinCvs:
	- the Bugfix for #570642 was a bit buggy ;)
          it was not possible to get graphs for more than one file
          at the same time; they were merged 

Sun August 11 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVSX (Mach-O) 3.3a1:
	- Start 3.3 unstable cycle
	- catch-up with some of Jerzy changes (more to come)
	- Add the CW8 project for MacCvs (Requires 8.2 from Metrowerks
	early access, 8.2 is not released yet). Testing on Jaguar.
	- Don't use anymore cvsgui/cvs-1.10/macho/mwerks to build the
	command line, this will be now only from the console:
	"cd cvsgui/cvs-1.10; ./configure; make"

Thu Aug 01 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- fix problems with Jerzy's changes at the gcvs code

Sat Aug 03 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9:
	- Fix the cvs stop using the stop button problems:
		- Race condition fixed by adding the stop event to the cvs process 
		  monitoring thread, so it's closing "from within"
		- Hanging when command is started and stopped quickly was reduced greatly
	- Cvsgui protocol and AppGlue code cleaned up

Thu Aug 01 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs/MacCvs/WinCvs:
	- Bug #570642 fixed; its now again possible to use the 
	  standard cvs template for commits
	  the graph log broke if more than 28 '-' were used
	  in the commit message

Thu Jul 25 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- Bug #585938 fixed; usage MultiFiles::newfile was not correct

Wed Jul 24 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b9:
	- Corrected a bug in ItemListDlg.cpp
	- Changed status -v, to status -v -l (non recursing by default).
	I was wondering if we could put a "Recursive" checkbox or if it is by design.
	- Suppressed some warnings
	- Saved some unused code by turning from DYNCREATE to DYNAMIC a lot of dialogs

Tue Jul 23 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- make gcvs compiling again. after Jerzys changes
	  1. original code clasped by "#ifdef _0_" to make it easier to put the GCVS10 branch back to the main one
	  2. add _makepath function (not existing under Linux)

	- remove dependences in gcvs/src/makefile.am
	- INSTALL corrected

Tue Jul 23 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9:
	- #562219, #559508 - Tags/branches/modules browser, patch by Sebastien Abras <sabdev@users.sourceforge.net>
	  extended to provide a generic method of passing selection to the command dialogs.
	
	Commands are now cathegorized in three types: 
		1. Commands that don't carry the selection and don't need the selection
		   handler class. 
		2. Commands that may need the selection and need a selection handler.
		3. Commands that need both the selection and the selection handler.

	Code changes in short:
		1. Replace previous command functions for files and directories with a single function
		   that accepts KiSelectionHandler reference as a parameter. 
		2. Provide the default implementation of the KiSelectionHandler::OnFolder and 
		   KiSelectionHandler::OnFiles virtual methods. 
		3. Move the code that prompted for selection from the command functions into
		   the KiSelectionHandler abstract class.
		4. MultiFiles class gotconst-corrected for safe random access to carried selection.
		5. The argument handling classes used by add commands were moves to the same file.
		6. BrowseViewHandlers.cpp was created to separate the implementation part.
		7. ItemListDlg.cpp ItemListDlg.h were created to implement the tags and modules browser.
		8. const MultiFiles* type member variables are used in the dialogs to carry selection

Fri Jul 17 2002 Karl-Heinz Bruenen <kbruenen@yahoo.com>
        * gcvs 1.1b4:
        - Bug #524749 fixed
        - Bug #528972 fixed
        - add PeekPumpAndIdle to gcvs port
          pushs all gtk event to the app
        - Bug #527290 fixed
        - Bug #523183 fixed; environment lost after Authentication
        - About dialog added
        - Class Defination moved to 'DiffDlg.h
        - Bug #426672 fixed  Bad refresh on graph
        - glade call in Makefile.am deleted (was added in beta 2)
        - Bug #526273 fixed
        - Bug #420786 particular fixed: use always the getopt.h from common
        - remove unnecessary code fragments
        - Bug #578980 fixed
        - remove gcc 3.1 warning
        - Makefile.am: dependence to GCVS-VERSION added
        - Bug:#484236 and #441974 fixed (thanks John Grahor)
        - lost 'HOME'-enviroment for external differ/viewer patch (thanks John Grahor)
        - added some changes from the main branch to gcvs to keep gcvs as near as possible to the global stuff

        - some updates from main source branch:
          + support for gserver and sspi prepared
          + support for 'edit -c' prepared

Sun Jul 10 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.1:
	- remove gcc 3.1 warnings
	- cvs prints out his enviroment when 'qCvsDebug' is set

Sun Jun 30 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9:
	- #450069 - Fix dbl-click opening, patch by Marc Sherman <msherman@projectile.ca>
	- #479076 - Add macro for getting module tags

Fri Jun 28 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b9:
	- Bug 548 - The external diff didn't use the same revision as local 
	copy and used the latest instead, fix by György Antal <gantal@graphisoft.hu>

Sat Jun 15 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b9:
	- Ported to Visual C++ 7.
	- Removed the CoWorker (SCC attempt) from the project of VC6&7.
	- if 0 the CoWorker code for now
	
Thu May 30 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVSX & MacCvs (Mach-O & CFM) 3.2b14:
		- Added MouseWheel support. Thanks Richard Buckle
		<richardb@sailmaker.co.uk>

Sat May 18 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVSX & MacCvs (Mach-O & CFM) 3.2b14:
		- Fix bug #825: karoch@mac.com

Tue Apr 17 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVSX (Mach-O) 3.2b14:
	- Fixed an import problem reported by someone.
	- Added Python-Mach-O support. You'll have to use 2.2.1 and compile it
	with the --enable-framework option.
	- Steps by steps :
		+ get the python tar ball and uncompress (tar zxvf python***.gz)
		+ './configure --enable-framework'
		+ *or* './configure --enable-framework --with-suffix=.exe' if
		compiling from a HFS+ partition
		+ sudo make install
		+ this should install python in /Library/Frameworks/Python.framework
	- Hopefully an installer will be available sometimes

	* MacCvs (CFM) 3.2b14:
	- Update to GUSI 2.2 (same as MacPython)
	
	* MacCVSX & MacCvs (Mach-O & CFM) 3.2b14:
	- Added support to drag multiple files when dragging from the browser
	window (used to be only one file could be dragged)
	
	* Macro:
	- Added a macro to Zip selected files. Should work on any platforms.
	The principle is to use the filters, select all the files and invoke
	the macros. The macro will create a zip archive matching the hierarchy.
	Very usefull to gather all the modified files at once.

Fri Apr 05 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b8:
	- Update the version info for new beta release
	- Update the Doxyfile to Doxygen 1.2.15, update the version in DoDoxygen.bat to match 
	new beta release and set the image format to png

Tue Apr 02 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b8:
	- Add :sspi: authentication support
	- Fix small inconvenience in cvsroot formatting - if host or user not entered don't add '@'
	- Cosmetic change in the merge options

Mon Apr 01 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b8:
	- Diff options to ignore case and whitespace made persistent
	- Bug 726 - Option to disable splash screen
	- Add settings dialog for status command

Sun Mar 24 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b8 - Fix the crash at startup if no Python installed
	(#531330, #527819, #526810, #521883, #515583, #514912, #512857, 
	#508246, #502733, #483617, #480597, #478834, #475310, #471490, 
	Bug 685, 745, 687, 688, 697, 735, 793, 798)

Tue Mar 19 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b8 - cvs2cl.tcl: Added revision numbers and branch names near each filename,
	patch by Denis Ballant <Denis.Ballant@cediti.be>

Sun Mar 10 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b8 - Fix the cvs commands speed problem

Fri Mar 01 2002 Karl-Heinz Bruenen <kbruenen@yahoo.com>
        * gcvs 1.0b3
        - INSTALL changed to match requirements for gcvs
        - Bug 521826 fixed; rpm-stage 'build' corrected
        - path for doxygen binary corrected
        - remane 'UCvsApp::gCurCvs' to 'UCvsApp::gCvsProcess' to use same code for wincvs and gcvs
        - UCvsApp class variables are now protect; please use functions to change them
        - spawn cvs in terminal patch added
        - Bug #440874 fixed
        - unified diff added; ignore white space changes added; ignore blank line added
        - Bug #412030 fixed
        - Bug #440875 fixed

Tue Feb 19 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS (Mach-O and CFM) 3.2b13:
	- Fixed the new preferences problem (Mach-O).
	- Changed the spin mechanism (In prevision of CW8).
	- Optimized GUSI-lite FileTraversal.cpp (Mach-O).
	- Fixed a bug for the file browser (Mach-O).
	- Added the ssh dialog (Mach-O).

Tue Feb 26 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs:
	- tcpip compression could not changed to value >1

Sat Feb 23 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7:
	- Fix the WinCvs help build, remove the intermediate files
	- Fix a typo error in the version information comments (WinCvsversion_no.h)
	- Update the Doxyfile to Doxygen 1.2.14, update the version in DoDoxygen.bat to match 
	new beta release and use the default file patters as they are extended in Doxygen now

Thu Feb 21 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7:
	- Update the version info for new beta release
	- Fix for missing PATH_MAX on WIN32
	- Fix the WinCvs help build options (Wincvs.hlp) in the project settings
	- Update the InstallShield to include new files of the CVSNT 1.11.1.3 beta 9

Tue Feb 19 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS (Mach-O and CFM) 3.2b12:
	- Added support for MIGRATECVSROOTLIST
	- Fixed a problem so CFM and Mach-O can share the same prefs
	- Fixed a problem with the app path when it is installed to
	a location with a space in it (Mach-O).

Tue Feb 19 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7:
	- Initial reserved edits support (menu for "edit -c" and "edit -f", 
	option for "commit -c")
	- Add toolbar buttons for watchers and editors
	- Unicode support (menu for "add -ku" and Import detection and settings)
	* WinCvs 1.3b7 - #457416 - rename "fork" into "branch", fork is not typically
	used for CVS terminology

Sat Feb 17 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* NEW MacCVSX (Mach-O) 3.2b12:
	- this is a replacement on OSX. Pure Mach-O native, use
	Unix file paths, Unix privileges, cvs protocol, spawn a cvs
	process, use fork, pipe and so on... No more shared library,
	no more GUSI. Use native ssh also.
	- The Mach-O version will be named MacCvsX and the current
	CFM/Carbon version will be simply named 'MacCvs'.
	- Introduced a new icon FSRefGetFileIcon.c using the modern
	IconServicesLib. This avoids to duplicate icons data. It gets
	access to more OS icons.
	- For compilation only, there is a light GUSI which implements
	GUSIFileSpec for FSRef. Now instead of using FSSpec, we abstract
	to UFSSpec which defines FSSpec on CFM and FSRef on Mach-O.
	This is in the new cvsgui/MacCvs/MachOGUSI
	- The cvsgui/MacCvs/WASTE folder is back, only to use the Mach-O
	flavor of his library. CFM is extracted directly from CodeWarrior.
	- AppGlue.cpp deeply modifed as MacCvsX uses the cvsgui protocol.
	It spawns the 'cvsgui' application when doing a cvs operation (it
	is named 'cvsgui', but it is really /usr/bin/cvs modified). This
	'cvsgui' can be accessed from the shell like /usr/bin/cvs.
	- There is a new 'Stop' button (expect also a fish like in WinCvs)
	because the cvs process is launched asynchronously for better
	efficientcy. Consequently, new methods in CMacCvsApp (gCurCvs,
	SetCvsRunning, SetCvsStopping).
	- Overall a lot of TARGET_RT_MAC_CFM and TARGET_RT_MAC_MACHO
	to make the necessary difference between the two targets.
	- TODO : Change the way to handle multi-selection (like WinCvs does).
	- TODO : Use FNSubscribeByPath ??? This could avoid to refresh the
	browser when it is not usefull. This would match WinCvs.
	- TODO : TCL (dlopen ?) and Python support (Bundle ?)
	- TODO : Installer, doc (just kidding...)
	- TODO : ssh dialog
	- TODO : test AppleEvent
	
	* MacCVS (CFM/Carbon) 3.2b12:
	- Fixed the problem where the file type was replaced by
	CodeWarrior when doing an update with IC on Text.
	- Fixed getline to work with Unix sandbox.

Sat Feb 09 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b12:
	- Added to the global preferences a Unix line feed toggle.
	It is per settings and it is *very* experimental although
	the change is few lines of code and should be safe.

Wed Feb 06 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Add :gserver: authentication support

Tue Feb 05 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b11:
	- uh-oh : fixed a big problem if a patch fail in ssh. It should work
	better if the sandbox is made of several repositories.

Mon Feb 04 2002 Karl-Heinz Bruenen <kbruenen@yahoo.com>
        * gcvs 1.0b2
        - fixed Bug #507525
        - fixed memory leaks while changing enviroment
        - project- and spec-file updated to new beta
        - updated INSTALL file for using CVSGUI111 branch
        - callback.[ch], interface.[ch] and support.[ch] will be
          created automaticaly if gcvs.glade is newer
        - add debug statement to check what envirment cvs gets
          (activated by -DqCvsDebug=1 at compiletime)

Sun Feb 03 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7:
	- fix the multiple SetBuddy problem with spin control in the Global Preferences,
	- fix the ClassWizard parsing in the CMyShellTree class.
	* ChangeLog - fix some dates entry in this log file

Sat Feb 02 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b10:
	- fixed a problem with ISO8859
	- update the cvs-macho readme.
	- have applevent call load to the directory settings.

Fri Feb 01 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0b2
	- callback.[ch], interface.[ch] and support.[ch] will be
	  created automaticaly if gcvs.glade is newer
	- add debug statement to check what envirment cvs gets
	  (activated by -DqCvsDebug=1)

Wed Jan 30 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0b2
	- fixed Bug #507525
	- fixed memory leaks while changing enviroment
	- updated INSTALL file for using CVSGUI111 branch
	- project- and spec-file updated to new beta

Tue Jan 29 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b10:
	- fixed a problem with persistent settings for mac if you open a
	sub-browser : the settings was storing the sub-path instead of the top
	one
	- attempt to fix the end of connection problem with ssh by waiting longer
	and printing a count-down.
	- put ISO8859 inside the code, same as MacCvsPro's ISO8859.
	- change locate menu to "reveal" instead of "opening".

Tue Jan 29 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - More explanatory messages in ChangeRoot.tcl macro and the 
	login/logout when not having pserver authentication set in Preferences

Tue Jan 22 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - "Merge" create tag by module, delete tag by module 
	and create branch by module dialogs into two common classes and resource 
	templates (for setting and options) and provide combo boxes instead of edit 
	boxes for tag and module names,
	* WinCvs 1.3b7 - Fix the "cvsntdos" project compilation error (cvsgui.h)

Mon Jan 21 2002 Karl-Heinz Bruenen <kbruenen@yahoo.com>
        * gcvs 1.0b1
        - check cvs binary for support of '-cvsgui'
        - doxygen script to build SourceDoc for gcvs
        - spinbox for tcp-compression added
        - solve some TCL problem
        - 'alternate cvs' checkbox added
        - ignore whitespace and case checkbox in DiffDlg added
        - compiler error solved

Sun Jan 20 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b10: OSX work
	- fixed the release target of cvs which had the qCvsDebug set to 1
	- added a folder cvs-1.10/macho which is the start of the Mach-O support
	for OSX.
	- put a README.txt to explain the state of this tool which is already
	handy. With some limits right now, you can have a unix cvs command
	compatible with the MacCvs/MacCvsPro format.

Sun Jan 20 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - "Merge" create tag, delete tag and create branch dialogs 
	into single class and resource template

Fri Jan 18 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0b1:
	- add forgotton headers to makefiles for building distribution
	- update project file and version-strings
	
Fri Jan 18 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0a7:
	- checkbox for alternate server name/alternate rsh name
          is only accessible when rserver is selected

Fri Jan 18 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Bug 11 - add the note to setup the CVSROOT on the General tab,
	Preferences: re-arrange the WinCvs tab to keep the important settings on top,
	Add the note that alternate cvs has to support cvsgui protocol,
	Some cosmeting changes to the Update, Preferences and Checkout options dialogs,
	Remove the space between the text and the colon on all dialogs and review tab order

Thu Jan 17 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0a7:
	- check cvs binary for support of '-cvsgui'
	- add doxygen script for gcvs-sourceDocs
	- cvs usage extended to show user '-cvsgui'

Thu Jan 17 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Smart Combo Box improvement: 
	- re-organize code to get a better common abstraction model
	- modify DDX rutine for to avoid the danger of passing the wrong data
	- derive the Location combo from Smart Combo Box

Wed Jan 16 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.0a7:
	- spinbox for tcp-compression added
	- solve some TCL problem (thanks Timo); hope it will be the last
	- add "alternate cvs have to support '-cvsgui' flag" as tooltip
		
Wed Jan 16 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Fix compilation (AppGlue.cpp, cvsgui_process.cpp: WinCvs specific code move into AppGlue)

Tue Jan 15 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
 	* gcvs 1.0a7:
	- 'alternate cvs' checkbox in GCVS-Preferece-dialog added
	- ignore whitespace and case checkbox in DiffDlg added
	- defines for MAC-only sources added
	- compiler error solved
	- project-file for anjuta usage added and temp. anjuta-files in .cvsignore added

Mon Jan 14 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gcvs 1.7a: fix problems with Jerzy's changes for gcvs

Sun Jan 13 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Add the merge by date capability (-jSymbolic_Tag:Date_Specifier) 
	to the update, add the merge tab to the checkout so the tracking the third
	party sources can be done as per manual (co -jrelease_tag_1 -jrelease_tag_2 mudule)

Thu Jan 10 2002 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b9: OSX work
	- SSH works again, thanks to Jean Pierre (--no-pty).
	- New Python dialog at opening if not available.
	- Removed every non-carbon targets (no MPW anymore).
	- Created a MacCvs:Distrib folder (to use with MacPython)
	- Removed WASTE 2.0, InternetConfig, MoreFiles : all are
	  included in the Third Party Support of CodeWarrior >= 6
	- Updated GUSI from GUSI_CARBON, added a fix for OSX SMP.
 	  However MacPython 2.2 shipped with the bug. It is not suggested
	  to use Python on OSX just Yet, or may be I will probide a
	  replacement which works.
	- Fixed double click on OSX (problem with SendFinderOpen).
	- Added ISO-8559 support for MacCvsPro which is using a
	  different table.
	- Changed again all the use of GUSI (GUSI is included for
 	  each shared library). This way ssh is interruptable. However,
	  Python might lack OpenTransport support (problem with InitOpenTransport)
	  on OSX.
	- Re-activated Key-Chain on OSX if OSX >= 10.1.2
	- Misc bugs

Sun Jan 06 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Upgrage doxygen config file to ver. 1.2.13.1, provide the env. variables for
	all the vital settings so the file can be used by gCvs and MacCvs (with external scripts),
	cleanup some code in CJ lib (remove the unnecessary class type specifications from the member-list 
	in the class declarations)

Wed Jan 03 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs 1.0a7 - problems with gcc 3.x solved

Wed Jan 02 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs 1.0a7 - include-path for 'SmartComboBox.h' in rf/Makefile.am added

Thu Jan 03 2002 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Introduce Smart Combo Box (CSmartComboBox) to extend the standard combo box.
	So far it suports 3 features: Auto Width, Items Removal and Read-Only edit for DropDown style.
	To keep the code consistent the "Template" button is provided instead of combo item, and the 
	cvsroot history list is replaced with single CMString object(need to be done for gCvs and MacCvs too).
	To migrate the settings introduce schema for persistent settings (migration code needs to be 
	done for gCvs and MacCvs).

Wed Jan 02 2002 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCvs 1.0a7 - header implementation in common-subtree corrected

Wed Dec 26 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Fix the false indication of CVS folder (root icon in the browser tree),
	* WinCvs 1.3b7 - Fix the command line execution when pressing Enter key
	* WinCvs 1.3b7 - #459999 - DDV_CheckPathExists can eliminate trailing backslash

Tue Dec 25 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - More detailed checking if the CVS command is running before launching a new one
	* WinCvs 1.3b7 - Enhance "Command Line" command dialog, wrap CompatMakeSurePathExists into 
	DDV_CheckPathExists for use in dialog's DoDataExchange()

Sun Dec 23 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Fix the message pumping for console-commands (like Log and Graph)

Thu Dec 20 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Re-arrange the Commit dialog: move the "no recurse" to the options tab,
	add the preview file info

Thu Dec 13 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Fix the CVSROOT Preferences settings

Tue Dec 11 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Bug 713 - Fix the limitation of Import dialog combobox text length
	* WinCvs 1.3b7 - Add the "-d" import option to allow use the file's modification 
	time as the time of import
	* WinCvs 1.3b7 - #489373 - Fix compilation with USE_PYTHON defined to 0

Mon Nov 19 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Fix a bug in CHistComboBoxEx::FindBestRoot causing the lower case roots

Thu Nov 15 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Remove the calls to MDIActivate - graph and file views 
	should not "fight" each other any more

Wed Nov 14 2001 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCVS 1.0a7 - solve some problems, when searching for
          TCL files on Linux
	* gCVS 1.0a7 - compiler problems solved

Tue Nov 06 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - #473976, Bug 504 - Fix CJLibrary build if PSDK is installed,
	patch by Jonathan M. Gilligan <jonathan.gilligan@vanderbilt.edu>

Sun Nov 04 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - #406988 - Better "GoToFile": it can now change the location and create
	one if none of the existing browse locations matches

Wed Oct 31 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - #474059 - Fixed crash when right-click in Explore, 
	patch submitted by GIB <softlion@users.sourceforge.net>

Wed Oct 24 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b7 - Commit dialog can be dismissed by Esc key

Tue Oct 16 2001 Jonathan M. Gilligan <jonathan.gilligan@vanderbilt.edu>
    * New FixDST Python macro to fix files erroneously marked red because
      of DST errors. This may erroneously mark truly modified files as
      unmodified, so use it at your own risk.
    * Modified files: FixDST.py, PythonGlue.cpp, CvsEntries.py.

Fri Oct 16 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b6 - Restore the usage of SetTclFileRunning
	to avoid displaying "*****CVS exited normally with code 0*****"
	(Oliver Giesen).
	* WinCvs 1.3b6 - Cosmetic compilation problem on Mac.
	* WinCvs 1.3b6 - Return the good result code (David Carson)
	* WinCvs 1.3b6 - Modified Jonathan's macro to run only on Windows
	* WinCvs 1.3b6 - Modified the macro registry so it doesn't fail
	if one macro fails to load.

Wed Oct 17 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b6 - Bug 658 - Thread handles not being closed in cvs_process_destroy()

Sun Oct 14 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b6 - Fix a small bug in the history location when DEL pressed as the message was going 
	to the file view and trying to erase the selection
	* WinCvs 1.3b6 - Fix the cvsroot validation in the preferences (fields must be refilled after 
	the DDV_CheckCVSROOT call for UpdateData(TRUE))
	* WinCvs 1.3b6 - Set login window to foreground to make sure people can see it

Fri Oct 12 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b6 - Fix for the backlash problem in the Macro
	path.

Sun Oct 07 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b6 - Fix the graph window activation introduced by fix to #418354. This should
	actually fix the Bugzilla Bug 16 as well because it appears that the problem was always there
	and it just intensified with the latest changes, so it might be a "good thing" after all

Sat Oct 06 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Monitor the editor launched from Commit Dialog and paste message log when closed
	* WinCvs 1.3b5 - Directory-tree updated after cvs command finish

Sat Oct 06 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b5 - Did the lazy load for Python only in
	release mode (because the scope of symbols is different
	in debug and you need it to compile WinCvs anyway)
	* WinCvs 1.3b5 - Added a warnig dialog if Python is not here.
	* WinCvs 1.3b5 - Still TODO : custom menu dialog for Python,
	toolbar buttons interface for Python (?). Also if a macro load
	fail, eveything fails (we need to catch the error and format
	the exception in the console).

Wed Oct 03 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Introduce admin options menu for the graph view: set state, description and 
	log message, the delete revisions was moved to that submenu, also enables to lock and 
	unlock particular revisions (which resolves the #431042)

Sun Sep 30 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Alternate pserver authentication port default to 2401

Sat Sep 29 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Bug 106 - Eliminate error message boxes when removing or erasing non-existing file,
	* WinCvs 1.3b5 - #463809 - remove David Gravereaux from the credits per his request

Thu Sep 27 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Error if the vendor and release tags are same in the Import dialog

Wed Sep 26 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Provide the graph options to change the colors of it's basic elements:	you can 
	select the color for header/tag/branch and different nodes(normal, dead, user state),
	change the shape of the branch tag so it can be easily spot on the printouts and by color-blind
	persons

Sun Sep 23 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b5 - Python. Begin to write new and old macros
	with Python.

Wed Sep 05 2001 Karl-Heinz Bruenen <gcvs@bruenen-net.de>
	* gCVS 1.0a7 - SF 451514 - compiler problems solved

Mon Sep 3 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b9: Python.
		- New folder MacCvs:PythonSDK:. This is temporary as I try to convice Jack
		to do something similar.
		- Works like on WinCvs now, so good so far.
		- *BUT* ssh is not working anymore with Python around (sigh). Investigating
		this one.

Sun Sep 2 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b5 - Python. Continuing breaking things. Tcl Macro are functional.
	I'm still designing both the C++ glue code for Python and the python
	cvsgui module. This goes well.

Tue Aug 28 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2b9: 
		- Fixed DoAECommandLine problems.
		- Fixed browser popup/proxy icon/startup problems.

Tue Aug 28 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b5 - Python. Started to write cvsgui.ColorConsole and cvsgui.App.
	You need now to check out cvsgui/PythonLib.

Sun Aug 26 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b5 - Start support for Python. The linking part is not done yet, it needs to be done
	when the support of python is (closed to ) complete. You'll need Python 2.1 from now on
	to compile WinCvs.
	* WinCvs 1.3b5 - The current state consists in a menu entry in the edit menu which let the user
	switch the shell from Tcl to Python but default to TCL.

Sun Aug 26 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - SF 454604, 454510 - Add two new TCL scripts to add and remove the patterns
	to .cvsignore file - submitted by Holger Dehnhardt <dehnhardt@users.sourceforge.net>, reworked slightly

Wed Aug 08 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Bug 538 - Enhancement for "EditSafely.tcl", update before edit to sync 
	with the repo, reworked patch originally by Marcus Hampel <marcus.hampel@myview.de>
	* WinCvs 1.3b5 - Bug 582 - Change location icon face-lift as per idea of <mico@zucchetti.com>

Mon Aug 06 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Bug 557 - Problems to launch external diff if path is relative path, patch by
	Mika Nieminen <poiu@altavista.net>

Sun Aug 05 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Bug 539 - Delete history in browse location combo box, use DEL key while the list 
	is dropped down, the menu item displaying that information is provided,
	Use a customized CComboBoxEx derivee to show the folders status and to compute the width of the 
	dropdown to fit the locations (but don't go off the screen)

Thur Jul 26 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b5: Temper a bit the file watcher thread and
	especially on background.

Mon Jul 24 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b8: Updated to last MPTP (July 23th).

Tue Jul 24 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - SF 437382 - Ctrl+A in the file view select all files (but not directories because
	most commands works on files)

Mon Jul 23 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - SF 437139 - Allow DEL key to erase files, 
	cvsgui - confirm the "Erase Files" command with Yes/No prompt dialog

Sun Jul 22 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - On the Graph View place the first revision not to the right but below the file name,
	that will prevent the graph to go too much to the right for the long filenames and in flat view mode,
	also add a little margin at the bottom-right just as it's at the top-left sides
	Graph View display the revisions with the "user state" (not "dead" and not Exp") as green, dashed rectangle

Fri Jul 20 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Remove the conditional compilation around currentDirectory parameter in
	cvs_process_open()
	* WinCvs 1.3b5 - Graph View display the revisions with the state "dead" as red, dotted rectangle

Wed Jul 18 2001 Jonathan Gilligan <jonathan.gilligan@vanderbilt.edu>
	* WinCvs Change project files to generate debug (.pdb) and map
	  files for Release builds as well (this should make it easier
	  to decipher crash reports).
	* Write registry key HKCU\WinCvs\wincvs\Current Version
	  which is read by cvsnt to determine DST compatibility.

Sun Jul 15 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b8: Updated to last MPTP (July).
	* MacCVS 3.2b8: Made lsh interruptable.

Sat Jul 14 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b5: Fixed the CVSUSEUNIXLF so it does return a valid
	string. It was crashing the protocol.
	* WinCvs 1.3b5: Make a hack in findtcl in order to use activetcl.

Fri Jul 13 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b5 - Add optional parameter to the cvs_process_open() 
	to specify the working directory for the child process, 
	only for Windows right now
	* WinCvs 1.3b5 - Use new Current Directory parameter on Windows - no more chdir(), 
	remove the default value to comply with plain "C"

Wed Jul 11 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b4: Fixed the problem in the cvsgui protocol
	when using SMP machines.
	* WinCvs 1.3b4: Fixed a bug in the CVSROOT dialog when using
	local mode.
	* WinCvs 1.3b4: New WinCvs icon (!) by Ed Halley <ed@halley.cc>

Tue Jul 10 2001 Jonathan Gilligan <jonathan.gilligan@vanderbilt.edu>
	* Added new Tcl command filemodtime
	* Cleaned up win32.c to make GMT-volume detection equivalent 
	  to cvsnt.
	* Affected files:
		common/TclGlue.cpp
		Macros/SelectionTest.cpp
		cvs-1.10/windows-NT/win32.c

Mon Jul 09 2001 Jonathan Gilligan <jonathan.gilligan@vanderbilt.edu>
	* Bug fix. More DST trouble with FAT, FAT32 systems. This now 
	  works on my computer (Win2K) with FAT, NTFS. Needs testing 
	  with FAT32.
	* Introduced some net TCL commands for turning on debug tracing.
	  Rudimentary and undocumented now, but we should build on this to
	  enhance user error reporting.
	* Affected files:
		WinCvs/Stat.cpp
		WinCvs/wincvs.dsp
		WinCvs/WinCvsDebug.cpp
		WinCvs/WinCvsDebug.h
		common/CvsEntries.cpp
		common/FileTraversal.cpp
		common/TclGlue.cpp
		cvs-1.10/windows-NT/win32.c

Wed Jul 04 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b4 - SF 229798 - Graph open from flat mode loses current revision
	* WinCvs 1.3b4 - SF 438157 - Change the Custom Build for WinCvs project - remove the /Y from the 
	xcopy command because not all the xcopy implementations support that flag

Tue Jul 03 2001 Jonathan Gilligan <jonathan.gilligan@vanderbilt.edu>
	* WinCvs 1.3 b4 - Fix DST handling to use system time zone info to get DST start/stop
	dates rather than assuming United States rules. I have checked this change into 
	cvsnt.org as well.
	Affected files: 
		cvs-1.10/windows-NT/win32.c
		WinCvs/Stat.cpp

Mon Jul 02 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b4 - SF 437235, 404336 - Add a diff button to the commit dialog - 
	patch originally by Lance Larsen <lance_c_larsen@hotmail.com>, enchanced slightly to support 
	more than one selected file
	* WinCvs 1.3b4 - Change the Custom Build for WinCvs project - add the /Y to the xcopy command 
	to prevent the overwrite prompt

Sun Jul 01 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b4 - Fix typo in the error message (AppGlue.cpp: #463, #526)

Fri Jun 29 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b4 - Selection of Context Menu in graph view changed to comply with Windows UI standard

Thu Jun 28 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2b8: Death to full pathnames!  
		- Changed the menus to only show full paths if folder names are ambiguous (a la CodeWarrior).
		- Use proxy icons instead of full paths in window names.
		- Remove non-existent paths at startup. 
	* MacCVS 3.2b8: Jasik debugging tweak
		- Changed names of the CVS and GUSI library _files_ to match the fragment names.

Wed Jun 27 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b4 - Fix the "View with <default-viewer>" menu text

Tue Jun 26 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b4 - "cvs annotate" in Customize Menu and Graph Menu
	* WinCvs 1.3b4 - resize the "About" dialog box to fit the new version info format
	* WinCvs 1.3b4 - Fix the combo droplist contents when "Is Date" checked - Annotate and Diff dialogs

Mon Jun 25 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3b4 - Bug 31 - implement "cvs annotate"

Mon Jun 25 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b8: Alex Harper <aharper@broadjump.com> fix for
	GUSIDescriptor leak. I removed the dup change I did to GUSI
	which was essentially wrong and was overided anyway in
	GUSIMacSSHPatch.cpp. hum, hum... I came to the same conclusion
	than Alex, except that I can state that dup is working but that
	the sequence is wrong in client.c (I put a comment).

Sun Jun 24 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b3: Fix "cvs login". Added a CMainFrame::GetEnvMainThread for
	that matter.
	* WinCvs 1.3b3: Fix "cvs release". It should work much better now in
	every case. Added OnSetupEnv and OnRestoreEnv in class AuthenModel for
	that matter.
	* WinCvs 1.3b3: Bumped the version number to beta 3 (using version_no.h,
	yeah man).
	* WinCvs 1.3b3/cvsnt: Made 2 little changes. Removed the switch to choose
	between cvsnt and our cvs. We are now using officially cvsnt everytime. Our
	cvs will be there only for debugging purpose but it won't be release anymore.
	YEAH MAN !
	* WinCvs 1.3b3: Added in the WinCvs preferences tab the ability to pick the current
	cvs used (request of Tony). This is per WinCvs installation.

Sun Jun 24 2001  David Gravereaux <davygrvy@pobox.com>
	* Macros/PrepPatch.tcl (New): Uses an external diff program to build-up
	patches and adjusts for paths.

Sun Jun 24 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3b3 - Stabilize the tree for building and adjust Jonathan's changes a little:
	1. Merge to the CVSGUI111 branch: 
		/cvsgui/cvs-1.10/windows-NT/cvsntdos.rc
		/cvsgui/cvs-1.10/windows-NT/res/cvsntdos.rc2
	2. Add the GPL exhibit and change formatting of the file info to comply with other files:
		\cvsgui\WinCvs\version_no.h
		\cvsgui\WinCvs\version_fu.h
	3. Comment out the include of "resource.h":
		\cvsgui\cvs-1.10\windows-NT\cvsntdos.rc
	4. Replace the "\n" with the "\r\n":
		\cvsgui\WinCvs\res\wincvs.rc2
		\cvsgui\cvs-1.10\windows-NT\res\cvsntdos.rc2
	5. Add the dot after the sentence "For use with WinCVS version 1.3 and higher" in cvs.exe comments:
		\cvsgui\cvs-1.10\windows-NT\res\cvsntdos.rc2

Sat Jun 23 2001 Jonathan M. Gilligan <jonathan.gilligan@vanderbilt.edu>
	WinCvs 1.3b3 - Add more sophisticated use of VERSION_INFO resources
	to allow users to identify which version (and build) they are using.
	This should help with bug reporting and compatibility questions in the
	future.
	Added files WinCVS/version_no.h, WinCVS/version_fu.h, 
	cvs-1.10/windows-NT/cvsntdos.rc, cvs-1.10/windows-NT/res/cvsntdos.rc2.
	Modified files WinCVS/wincvs.rc, WinCVS/res/wincvs.rc2, WinCVS/Splash.cpp,
	WinCVS/wincvs.cpp, WinCVS/wincvs.dsp, cvs-1.10/src/version.c, cvs-1.10/cvsntdos.dsp

Sat Jun 23 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3b3 - Fix duplicate duplicate insert block (AFX_DATA_INIT) for the classes: 
	CInit_MAIN, CRtag_DELETE, CRtag_BRANCH, CRtag_CREATE, CTag_CREATE, CTag_BRANCH

Thu Jun 21 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2b8:
		- Remove ellipsis from Status command.
		- Remove bogus S64 arguments from GUSI non-Carbon export file.
		- Remove full paths from main menu and browser window.  Now all we need is to
		  delete non-existent paths.
	* GuiCVS in general.  
		- Change the authentication method if CVSROOT popup specifies it (e.g. pserver)
		- Fix 'missing typename' warning in MultiString.cpp

Wed Jun 20 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2b8 - Fix MacCvsAE.cpp problems
		GetEnv. Our getenv seems to want a return of -1 for undefined.
		Use default args with AppleEvents (a kludge to make scripts work with SF).

Tue Jun 19 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b8 - Use the latest MPTP PowerPlant	0x02118000.
	* MacCVS 3.2b8 - Updated WText and WASTE.

Fri Jun 15 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3b3 - Re-arrange the code of "const char * Authen::token(void)" for better readability

Thu Jun 14 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3b2 - Changed the License for the cvsgui protocol
	(cvsgui_protocol.[cpp,h]) from GPL to LGPL so commercial
	or semi-free applications can take advantage of the protocol.
	* WinCvs 1.3b2 - Fixed the pserver bug reported by Andy Gussie
	<andy.gussie@efruitinternational.com>

Wed Jun 13 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3b2 - Bug 505 - CvsCoworker.cpp would not compile with PSDK installed,
	patch submitted by Jonathan M. Gilligan <jonathan.gilligan@vanderbilt.edu>, 
	reworked according to the article Q243298 at MSDN:
	http://support.microsoft.com/support/kb/articles/Q243/2/98.ASP

Wed Jun 13 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3b2 - Add new TCL macros:
	EditSafely.tcl - Andre Kostur (andre@incognito.com), Incognito Software Inc. 
	   Ensure that the editors list is empty before allowing a file to be edited.
	SetCurrentVersion.tcl - Rafael Sanz <rafael_sanz@ya.com>
	   Move selected version to head revision.

Mon Jun 11 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b7 - Use the latest MPTP PowerPlant and compiler (sorry,
	Metrowerks fault).
	* MacCVS 3.2b7 - Updated lsh and GUSI.
	* MacCVS 3.2b7 - Fixed the commit dialog problem.

Sun Jun 10 2001  Peter Small <petersm@nwlink.com>
	WinCvs 1.3 - SF Bug ID: 431981 - View with... not aligned with menu
	Fixed it so that the View with menu item is aligned with the rest of the menu items

Mon Jun 11 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3 - Bug 33 - Problem with daylight saving. 
	Fix by Tony Hoyle <tmh@magenta-logic.com> and 
	Jonathan M. Gilligan <jonathan.gilligan@vanderbilt.edu>
	NOTE: This is a serious fix and to support further tracking strategic tags have been placed:
		Tag: DST_BEFOREMERGE - whole WinCvsSrc module before DST merge
		Tag: DST_BEFOREMERGE_FILES - modified files only
		Tag: DST_MERGE_FILES - WinCvsSrc module after DST merge - modified files only
		Branch: WINCVS120-DST - DST fix branch based on WinCvs 1.2 (for someone who wants to patch WinCvs 1.2)
			Tag: WINCVS120-DST_TRUNKMERGE - merge to the trunk point for DST branch

		Modified 7 files:
		In /cvsgui/common :
			CvsEntries.cpp
		In /cvsgui/cvs-1.10/windows-NT :
			config.h
			filesubr.c
			win32.c
		In /cvsgui/WinCvs :
			Stat.cpp
			StdAfx.h
			wincvs.dsp

Mon Jun 11 2001  Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3 - Bug 424 - WinCvs Menu Names -- selection is redundant,
	Some changes in the new dialogs made by Alex (tab order, alignment etc.)

Sun Jun 10 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3 - Changed the splash to reflect 1.3.

Sat Jun 9 2001 Dave Clendenan <paranoid@squirrel.mine.nu>
	* WinCvs 1.3 - The problem was that spawnvp() doesn't
	work right if you're calling a non-win32 program, like
	tkdiff.tcl.  The solution (proposed by David Gravereau)
	was to use ShellExecute instead.  I did that, and also tweaked
	the logging to produce a text message, instead of a numeric
	error code for the results of GetLastError().

Sat Jun 9 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.3 - Completed the new Authentication mechanism as
	much as I could. We have some new ssh options.
	* WinCvs 1.3 - Show optionnaly the cvs console.

Sat Jun 09 2001  Peter Small <petersm@nwlink.com>
	WinCvs 1.3 - SF Request ID: 430720 - Graph View needs a context menu
	Added OnContextMenu handler and OnInitMenuPopup to CGraphView.

Wed Jun 06 2001  Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3 - SF Request ID: 429974 - Adjustments to WinCVS Customize Menus Dialog,
	submitted by: Peter Small <petersm@nwlink.com>

Tue Jun 05 2001  Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3 - SF Request ID: 428566 - Make update, diff, graph and log dialog boxes optional,
	patch originally submitted by: Peter Small <petersm@nwlink.com>, reworked slighly

Wed May 30 2001  Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3 - Bug 17 - UI convention in graph Window, should feel more intuitive now.
	Control and Shift are equal for the single selection and Control reverses for a range selection
	while Shift selects new items. 
	Also normalize the selection rectangle so it works when selected from either direction.

Sun May 27 2001  Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs (Branch WINCVS120-DST) - Check in the patch made by Jonathan M. Gilligan 
	to fix certain problems with the original Tony Hoyle patch.

Mon May 14 2001  Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs - Create Branch WINCVS120-DST and checkin the DST fix from cvsnt project 
	for further testing. This branch is going to be merged with the 1.2 and 1.3 branches
	eventually.

Sun May 13 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b7 - Updated to CW Pro 7 beta MPTP.
	* MacCVS 3.2b7 - Update to GUSI 2.1.7.

Sat May 5 2001  Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3 - Checking of the file notification timer creation and kill timer when its 
	window is destroyed

Tue May 1 2001  Jerzy Kaczorowski <kaczoroj@hotmail.com>
	WinCvs 1.3 - Bug 436 - Fix the query update button for the directories selected in 
	the file view, fix the compiler warning C4800

Fri Apr 20 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3 - Bugs by <gtasker@fastpicsystems.com>:
	#463 - Uninitialized variable later being used (in IsValidHandle())
	#464 - Array index out of range if string length is 0 (UStr::endsWith(), CLogStr::endsWith())
	#465 - RegKey handles not being freed - resource leak (in findTcl())
	#470 - Missing letter in the update_usage string (CVS source)
	#471 - Shortcircuit file traversal in ::ResetView() if no file selected
	#472 - Use of pointer whose referenced memory has been deleted (in ResetBrowser)
	While there, small improvement - file view gets the first item focused 
	to allow the use of the keyboard to select the file or directory without 
	the need of mouse click

Fri Apr 6 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2b6 - Fixed the laptop problem with ssh.
	* MacCVS 3.2b6 - Set recursion to off when opening a fresh browser.

Thu Apr 5 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2 - Fixed the selection bug (Chris Nandor).
	* MacCVS 3.2 - Updated lsh to 1.2 (From MacSSH).
	* MacCVS 3.2 - Established that it is slow in flat mode because of the
	LOutlineTable of Metrowerks. I was put in the wrong direction because
	the MPTP profiler gives absolutely wrong informations. GUSI behaves
	great in fact and is not causing the slow down. Nothing I can do unless
	I come up with a new LArray mechanism. Their one sucks, it's too linear
	and the keep sorting flag is buggy and inefficient. The flat mode should be
	activated *after* selecting a search mask, like modified. This way
	it's usable for now.
	* MacCVS 3.2 - Added a counter for the files to reflect that.

2001-04-03  David Gravereaux <davygrvy@pobox.com>
	* Macros/cvs2cl.tcl: better core version checking
	* Macros/ChangeRootTK.tcl: new ChangeRoot macro that uses Tk by Rafael Sanz.
	* Macros/startup.tcl: added a package ifneeded statement to let the interp know about Tk.

Mon Apr 02 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3 - Bug 172 - Add "Force update" TCL script (ForceUpdate.tcl),
	orig. by Scott MacHaffie <scottm@saltire.com> but changed a lot.

Fri Mar 30 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2 - Improved the speed on the flat view.
	* MacCVS 3.2 - Fixed a crash on quitting (Chris Nandor).
	* MacCVS 3.2 - Fixed the checkout dialog problem (Chris Nandor).

Thur Mar 29 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2 - Flat view.
	* MacCVS 3.2 - Applied the patch of Jean-Pierre about /etc/services.

Tue Mar 27 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2 - Selection oriented Menu bar.
	* MacCVS 3.2 - Add location verification to import and checkout dialogs.
	* MacCVS 3.2 - Implement Logout command.
	* MacCVS 3.2 - Remove targetable flag from toolbar (disabled menus problem).

Tue Mar 27 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2 - local support ! But it's mostly for fun and to stay ahead
	of MacCvsPro ;-) It's not really functional since it does handle
	only flat files (no resource fork then). Which makes me think that
	I didn't implement it right. Instead of hacking client.c, I should
	have intercepted fopen and other functions and then emulate a
	HQX/MacBinary on the fly. It would be a big work but it could work
	even better this way. Cause I've seen that most of the overhead is due
	to the socket *and* the encoding. A special socket could be created
	for resource fork and could work on a thread. Well, dreaming...
	* MacCVS 3.2 - Found some huge bugs in GUSI involving rename
	and delete 0L. Sent a report to  Matthias. This could be the bug
	on quitting.
	* MacCVS 3.2 - Removed every occurence of LGroupView and replaced it
	by LTextGroupBox.

Mon Mar 26 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2 - New layout for the CVSROOT dialog.
	* MacCVS 3.2 - New the source tree requires MWPro 6 MPTP.
	* MacCVS 3.2 - Started some test on local repository.

Sun Mar 25 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCVS 3.2 - Integrated SSH2/LSH inside MacCvs. Details are to find
	in cvsgui/MacCvs/README_SSH_LSH. Many thanks to the author of MacSSH
	Jean-Pierre Stierlin who came up with the underlaying API.
	* MacCVS 3.2 - Started flat support.
	* MacCVS 3.2 - Started KeyChain support, thanks to MacCvsPro.

Fri Mar 23 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2 - Aquify dialogs.

Tue Mar 20 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2 - Save and restore Log/Browser locations, sizes, visibilities and activations.

Fri Mar 16 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2 - Aquify menu bar.

Tue Mar 13 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2 - Remove downcasts for panel options popups.
	* MacCVS 3.2 - Add contextual menu for browser selection.
	* MacCVS 3.2 - Fixed cvs edit not refreshing browser.
	* MacCVS 3.2 - Fixed external difference not using temp items folder.

Tue Mar 13 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2 - Fix MacCvsAE.*:HandleAppleEvent (again...).

Mon Mar 12 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3 - Bug 433 (Import dialog displays wrong module name), combo boxes for initial
	vendor and release tag and for module name - that eliminates the need for a static variable
	as all the previous values are stored in the registry and shown in the combo. 
	Module name is always suggested from the import directory now.

Sun Mar 12 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* CvsGui - Make so the settings 1) Do not get prompted
	if you ask for a sub-folder of a defined setting. 2) Do not get
	saved if the setting is exactly the same than the saved one.
	The result is less annoying dialog and messages.
	* MacCVS 3.2 - Added the remove and add icons.
	* MacCVS 3.2 - Added resizable columns (in progress).
	* MacCVS 3.2 - Do not use anymore the pool memory allocation
	of MSL. It seems buggy. Unfortunately, allocation gonna be slower.

Fri Mar 09 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2 - Add auto-logout feature.

Thu Mar 08 2001 Richard Wesley <hawkfish@electricfish.com>
	* MacCVS 3.2 - Bumped version (minors can only go up to 9, so this looks like a good time
	  to go up to 3.2)
	* MacCVS 3.2 - Build with UH 3.4b3.  MacCVSX now runs under OS X PB!
	* MacCVS 3.2 - Add WinCVS 1.2 update options.
	* MacCVS 3.2 - Add WinCVS 1.2 commit options.
	* MacCVS 3.2 - Add WinCVS 1.2 checkout options (but not path stuff).
	* MacCVS 3.2 - Add WinCVS 1.2 import options.

Wed Mar 07 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3 - Bug 416 - More options for the commit dialog

Tue Mar 6 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* GCvs 1.0a7 : Fixed the -c problem.
	* GCvs 1.0a7 : GCvs links against libtcl.so instead
	of libtcl8.3.so (rpm issue).
	* GCvs 1.0a7 : Put the cvs version number to 1.11
	* GCvs 1.0a7 : Fixed numerous bugs from bugzilla

Sat Mar 03 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.3 - Bug 404 - Fix the IsValidHandle() so it checks the return code of DuplicateHandle
	properly, also some re-arrangement of the code to make it match the notation of wincvs.cpp file

Thu Mar 1 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 3.1.11 : Fixed #356 (bind, rsh problem).
	* MacCvs 3.1.11 : Fixed #351 (Macros admin menu).
	* MacCvs 3.1.11 : Fixed #341 (LineCmd check box, courtesy Jean-Charles BERTIN).
	* MacCvs 3.1.11 : Support for CW 6.1.
	
Sat Feb 17 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Bug 2 - Export Makefiles:
	WinCvs\CJLib\CJLibrary\CJLibrary.mak 
	cvs-1.10\windows-NT\cvs2ntlib.mak 
	cvs-1.10\windows-NT\cvsntdos.mak 
	cvstree\cvstree.mak 
	cvs-1.10\windows-NT\diff.mak 
	cvs-1.10\windows-NT\diffdos.mak 
	WinCvs\DosPipe\DosPipe.mak 
	WinCvs\wincvs.mak 

Thu Feb 15 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Bug 239 - Changes to 'globals' during update take effect for the current update

Sun Feb 11 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Bug 5, Add the "Use default cvsignore" (removes -I! from the import command) to 
	the import options dialog. As a bonus provide the edit box for import directory and checking
	whether it exists, so it is same as preferences dialog.

2001-02-11  David Gravereaux  <davygrvy@pobox.com>
	* Macros/cvs2cl.tcl:
		Added some preliminary Mac support where needed.  Truely untested,
		but looks good.

Sun Feb 11 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Add -ko (no keyword expansion) to the import filter dialog.
	Note: ImportFilterCompat() renamed to CompatImportFilter() for consistency with others

Sat Feb 10 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Longer (scrollable) history listboxes(jonathan.gilligan@vanderbilt.edu)
	* Remove wincvs_vc5.dsp & wincvs_vc5.dsw (these were not supported for a long time now anyway)

Wed Jan 31 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Add ListNonCVS.tcl - macro to list a non-cvs files send by Justin Georgeson
	(modified Cleanup.tcl)

Tue Jan 30 2001 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 3.1.10 : Updated to GUSI 215, MoreFiles 5, CWPro 6.
	* MacCvs 3.1.10 : Carbon.
	* MacCvs 3.1.10 : Fixed bug #301.
	* MacCvs 3.1.10 : Fixed a bug in GUSI (RemoveReference and dup).
	* MacCvs 3.1.10 : Unfortunately rsh is still behaving poorly (ask Matthias).

Sun Jan 28 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - change the way that "cvs release" works, 
	it will now attempt to split the path and issue the release in the parent directory.
	that solves the bugs related to problems with removing the directory that browser 
	points into (when "-d" for the release command is selected)

Sat Jan 27 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - WinCvs preferences - some cosmetic changes and 
	replace the WinCvs preferences static controls with edit boxes so the paths can be typed or copy/pasted
	provide checking/creating the HOME directory
	* WinCvs 1.2 - introduce CompatMakeSurePathExists() to support the folder creation
	in the dialogs (so Mac and Unix can implement the feature easier and we have centralized 
	solution for windows as well)
	* CvsEntries.h - fix the performance compiler warning C4800 (forcing value to bool 'true' or 'false')

Tue Jan 23 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Provide the check box to enable double click 
	in the file view always opening the viewer instead of windows 
	associated application

Sun Jan 21 2001 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Fix the newline problems when inserting CVS/Template

2001-01-17  David Gravereaux  <davygrvy@pobox.com>
	* WinCvs/BrowseFileView.cpp:
	* WinCvs/WinCvsBrowser.cpp:
	* WinCvs/wincvs.cpp:
	* WinCvs/wincvs.dsp:
	* WinCvs/wincvsDoc.cpp:
	* WinCvs/wincvsView.cpp:
	* WinCvs/wincvsView.h:
	* common/AppConsole.cpp:
	* common/AppConsole.h:
	* common/CTCP2Parse.cpp:
	* common/CvsCommands.cpp:
	* common/TclGlue.cpp:
	* common/TclGlue.h:
	* Macros/cvs2cl.tcl:
		Total revert to unmodified form with the changes now on the "daves_color_mods"
		branch.

2001-01-14  David Gravereaux  <davygrvy@pobox.com>
	* common/CTCP2Parse.cpp:
	* common/CTCP2Parse.hpp:
		Small changes to comments and added some more ANSI escape codes I found @
		http://www.delorie.com/gnu/docs/screen/screen_48.html (there's more to life
		than an old DOS 5 user guide!)

	* common/TclGlue.cpp:
		Fixed some logic bugs in the preprocessor rules (what am I blind!)

	* common/TclGlue.cpp:
		Very nasty Tcl_Obj bug fixed.  I was asking Tcl if a NULL Tcl_Obj* was
		shared!  (What am I blind!)

	* WinCvs/.cvsignore:
		added glob patterns for the CoWorker MIDL auto-generated files.

2001-01-13  David Gravereaux  <davygrvy@pobox.com>
	* WinCvs/CJLib/CJLibrary/CJLibrary.dsp:
		re-fix of previous

	* WinCvs/CJLib/CJLibrary/CJLibrary.dsp:
		removed the /incremental:no option so /editandcontinue can work.

	* WinCvs/Win32wstring.hpp:
		NEW: multibyte to wide string convertor.

	* Macros/ColorTest.tcl:
		NEW: a color test file for the new ctcp/2 parser.  should not be used for distro.

	* WinCvs/BrowseFileView.cpp:
	* WinCvs/WinCvsBrowser.cpp:
	* WinCvs/wincvs.cpp:
	* WinCvs/wincvs.dsp:
	* WinCvs/wincvsDoc.cpp:
	* WinCvs/wincvsView.cpp:
	* WinCvs/wincvsView.h:
	* common/AppConsole.cpp:
	* common/AppConsole.h:
	* common/CTCP2Parse.cpp:
	* common/CvsCommands.cpp:
	* common/TclGlue.cpp:
	* common/TclGlue.h:
		CTCP/2 attribute option parser added to Tcl's cvsout command.  I might
		have broken unix and mac compiles a bit (not sure).  TclGlue.cpp was
		rewritten to use as much Tcl_Obj constructs as possible.  The Tcl is
		now being linked using Stubs (at last).  I might have broken some
		stuff accidentally.  ColorTest.tcl was added for a small test routine.
		please run "color test" to see some of the new display goodies :)
		CTCP/2 embedded attributes are documented @
		-> http://www.lag.net/~robey/ctcp <-  See section 2.

	* common/CTCP2Parse.cpp:
	* common/CTCP2Parse.hpp:
		NEW: generic CTCP/2 parser.

	* tcl8.1.0/generic/tcl.h:
	* tcl8.1.0/generic/tclDecls.h:
	* tcl8.1.0/generic/tclInt.h:
	* tcl8.1.0/generic/tclIntDecls.h:
	* tcl8.1.0/library/init.tcl:
	* tcl8.1.0/tools/genStubs.tcl:
	* tcl8.1.0/win/Release/tcl81.dll:
	* tcl8.1.0/win/Release/tclsh81.exe:
	* tcl8.1.0/win/Release/tclstub81.lib:
		NEW: tcl8.1.0 base used for building the tclGlue code to use Stubs support.

Thu Dec 07 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Add CvsAddAll.tcl - macro that adds all 
	selected files and folders to the cvs repository

Wed Dec 06 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.2 - Update cvs2cl.tcl macro

Sun Dec 1 2000 Richard Wesley  <hawkfish@electricfish.com>
	* MacCvs 3.1.10 : Implemented external difference.  Currently uses
	  Resourcerer diff suite.  Resourcerer handles resource files; 
	  BBEdit handles text files via a small applet that translates the
	  event.  Still needed: a prefs panel to do the mapping?
	* cvs2.lib : Added file decoding entrypoint to make file diffs work
	  for AppleSingle and BinHexed files.  What a nasty hack!
	* Added my BBEdit Diff applet to the Goodies folder.
	
Sun Nov 26 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 3.1.9 : Empty password was returning nil.
	* MacCvs 3.1.9 : Fix for TCL and MacOS 9.0.4.
	* MacCvs 3.1.9 : Updated to GUSI 2.1.2.
	* MacCvs 3.1.9 : Removed all the Carbon support in GUSI.
	  Too bad, we gonna have to wait for Matthias.
	* MacCvs 3.1.9 : The rsh support still broken.
	* MacCvs 3.1.9 : Removed ssh in the preferences.

Sat Nov 25 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b17 - Updated cvsnt support + introduced cvs95
	support
	* WinCvs 1.1b17 - Customize the menus with the macros
	* WinCvs 1.1b17 - Dos vs Unix Line Feed : now it's possible
	to switch to the Unix line feed using Dos.exe.
	1. Using the CVSUSEUNIXLF variable (set it to anything)
	2. Using the command '--lf' when invoking cvs.exe.

Thu Nov 24 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b17 - Display the Added and AddedBinary icons in the file view

Thu Nov 23 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b17 - Remove the unused Apply button from the dialogs

Sun Nov 19 2000 Andras Timar & Emese Kovacs <wincvs@itp.hu>
	* WinCvs 1.1b17 
	* wincvs.rc: hotkey clashes fixed, resources marked as French set back to US

Thu Nov 9 2000 V.Antonevich <v_antonevich@hotmail.com>
	* b.17 - merged in filtering in file detail view
        FILTER-VIEW-DEV branch shall not be used any more

Wed Nov 9 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b17 - roll back the files:
	wincvs.rc[1.57], wincvs.cpp[1.40], resource.h[1.37]

Wed Nov 8 2000 Andras Timar & Emese Kovacs <wincvs@itp.hu>
	* WinCvs 1.1b17 
	* wincvs.rc: fixed hotkey clashes
	* wincvs.cpp: some hardwired strings have been moved to wincvs.rc

Tue Oct 24 2000 V.Antonevich <v_antonevich@hotmail.com>
	* WinCvs 1.1b17 
	* added drag/drop reodering of the list view columns, 
	* persistency for column widths and their order

Tue Oct 24 2000 V.Antonevich <v_antonevich@hotmail.com>
	* WinCvs 1.1b17 : housekeeping fixes 
	- file detail view properly handles ownership of EntNodeData
	- fixed behaviour of smart pointer on EntNodeData
        - changed smart pointer getter of EntNodeData to eliminate type casts.

Sun Oct 15 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b17 : Bug 172 - "-C" on the Update Dialog

Thu Oct. 12, 2000 V.Antonevich <v_antonevich@hotmail.com>
	* WinCvs 1.1b17 : modified Cleanup.tcl (Remove non-cvs files),
	ignored files/folders get deleted, unknown files go to recycle bin,
	purpose was to generate less clutter in recycle bin.

Sun Oct 8 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b17 : Bug 267 - Possibility to specify the name of 
	the checkout directory

Sat Oct 7 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b17 : Bug 266 - bad parent for the Browse for folder dialog
	caused many weird behavior when called from within the dialog

Thu Oct 5 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b17 : Add the files to create the doc's using Doxygen
	The files: DoDoxygen.bat, Doxyfile

Tue Oct 3 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b17 : Bug 12 - import dialog can change the CVSROOT 
	and the module name is initiated to the folder name

Sun Oct 1 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b17 : Bug 117 - settings dialog for "cvs release [-d]" command

Wed Sep 27 2000 Uwe Hees <uwe.hees@rz-online.de>
	* MacCvs 3.1.8 : Empty password was returning nil.
	* MacCvs 3.1.8 : Encoding policy bug fixed.

Wed Sep 27 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b16 : Updated to CVS 1.11, new cvsgui/cvs-1.10 branch
	is 'CVSGUI111'.

Wed Sep 27 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 3.1.8 : Refresh bug when trashing.
	* MacCvs 3.1.8 : Tried to fix rsh : no luck. Deep GUSI problem.
	* MacCvs 3.1.8 : Updated to CVS 1.11, new cvsgui/cvs-1.10 branch
	is 'CVSGUI111'.
	* MacCvs 3.1.8 : Fixed bug about switching windows / resuming application
	which changed the default directory of cvs.

Sat Sep 23 2000 Mika Nieminen <poiu@altavista.net>
	* Mac/WinCvs 1.1b16 : Mac/WinCvs reads ".cvsignore" file from the application 
          path (ie. the same dir where WINCVS.EXE executable is located) if HOME folder 
          didn't have such a file. This allows easy network  installations of WinCVS 
          where group of people can share the same .cvsignore file (Common\CvsIgnore.cpp). 
        * WinCvs 1.1b16 : If the launch of exeternal diff application fails then WinCvs
          tries to find it from the application path (Common\CvsPrefs.cpp). This makes it
          easier to create network installation of WinCvs for a group of people.
 
Wed Sep 20 2000 V.Antonevich <v_antonevich@hotmail.com>
    WinCvs 1.1b16 
    Bug#19 initial checkout folder is the one selected as app root, 
    editable checkout folder, folder gets created if it does not exist.

Tue Sep 19 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b16 : Bug 163 - options for diff dialog to ignore whitespace and case
	(original idea of Lyle A. Anderson <lyle.anderson@baesystems.com>)

Wed Sep 14 2000 V.Antonevich <v_antonevich@hotmail.com>
    WinCvs 1.1b16 
    * added TCL command to move files to recycle bin
    *    trash file1 file2 file3 ....

Wed Sep 16 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b16 : Patches by: Wieland Pusch <wielandP@web.de>
	1. The initial directory for the "Checkout module" option set to current location
	2. Drag&Drop goes to the file

Wed Sep 14 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
Wed Sep 13 2000 Jerzy Kaczorowski <kaczoroj@hotmail.com>
	* WinCvs 1.1b16 : Bug 218 - the Macros menu text is more descriptive now
	(like: "CVS is running...", "No selection...")

Wed Aug 30 2000 V.Antonevich <v_antonevich@hotmail.com>
	WinCvs 1.1b16 
    * Fixed synching between tree and file detail views ( when 
      using backspace and return keys in file detail view)

Wed Aug 23 2000 V.Antonevich <v_antonevich@hotmail.com>
	WinCvs 1.1b16 
    * in file detail view, you cannot navigate upward (backspace key)
      any further than the current checkout root folder
    * added 'retrieve revision' command in Graph view
      (must have a revision node selected to enable this)
    * added script to remove non-CVS files (Macros\cleanup.tcl)
    * added script to print out list of deleted files (Macros\ListDeletd.tcl)
    * added script to revert modifications of changed files (Macros\RevertChanges.tcl)
    * modified FastModSearch.tcl to print out missing and modified files

Thu Aug 17 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* GCvs 1.0a6 : Add of removed files.
	* GCvs 1.0a6 : Build problem in FileTraversal.cpp.
	* GCvs 1.0a6 : Removed dynamic loading of TCL, make TCL
	optional at compilation time using autoconf.

Sun Aug 12 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b16 : Bug 199 - enable "Checkout module" entry in the 
	"Create" menu at WinCvs startup

Wed Aug 9 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b16 : Bug 170 - fix the problem with current directory

Thu Aug 3 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 3.1.7 : Various cosmetic bugs introduced with the new GUSI.
	* MacCvs 3.1.7 : Fixed prune directory bug (GUSI returns EBUSY on rmdir).
	* MacCvs 3.1.7 : Fixed the 2 new macros to work with MacCvs.
	* MacCvs 3.1.7 : New : ability to re-add removed files.
	* MacCvs 3.1.7 : New : forceReload now is checked, it results in
	less reload of the browser.

Mon Jul 24 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b15 : Bug 177 - fix the focus crash by <sosedada@usa.net>

Sun Jun 9 2000 Mika Nieminen <poiu@altavista.net>
	* WinCvs 1.1b15 : Fixed bug, where value of LastWorkingDir property 
          was not updated when user changed directory through file browser.
        * WinCvs 1.1b15 : Added "ListStickyTags.Tcl" macro. This macro can be 
          used, for example, in release management to make sure that all files
          have been tagged properly.

Mon Jul 10 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b15 : Import filter dialog - full row select and buttons
	more to the standard (Cancel on the right, Continue on the left)

Sun Jul 09 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b15 : Bug 155 - update status bar at the end of operation

Fri Jul 7 2000 Richard Wesley  <hawkfish@electricfish.com>
	* MacCvs 3.1.7 : Various cosmetic changes: Fix toggle ignore button state,
	  Tree Window scroll bars.
	* MacCvs 3.1.7 : Added cvs event to AE dictionary (code was there but not
	  hooked up).  Started adding validation AppleScripts to Goodies folder.

Thu Jul 6 2000 Richard Wesley  <hawkfish@electricfish.com>
	* MacCvs 3.1.7 : Bump version.
	* MacCvs 3.1.7 : Fixed MacCvsAE.* linkage again, this time
	  checking the PP version.
	* MacCvs 3.1.7 : Check elapsed ticks in spin callback.
	* MacCvs 3.1.7 : Various cosmetic changes: WTextEdit undo strings,
	  "Page Setup", Log Window scroll bars.

Wed Jul 5 2000 Richard Wesley  <hawkfish@electricfish.com>
	* MacCvs 3.1.6 : Add GUSI spin callback.  This prevents
	  GUSI from calling WNE with ridiculous sleep times (10 seconds).
	* MacCvs 3.1.6 : Updated build instructions in :MacCVS:README:

Mon Jul 05 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b15 : Bug 148 - change the sort order for filename and tag,
	fix by: "VLADIMIR ANTONEVICH" <vanton@usa.net>

Mon Jul 1 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b15 : Fix by Torsten.Lang@bsk-germany.com.
	* MacCvs 3.1.7 : Did some work on the move to trash. It's
	much more efficient to send all the files at once.
	* GCvs 1.0a5 : Save settings + RPMs.

Tue Jun 27 2000 Mika Nieminen <poiu@altavista.net>
	* WinCvs 1.1b15 : Added new macro file "ListLockedFiles.tcl". 
        This macro shows a nicely formatted output of locked files
        in a repository.

Mon Jun 27 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b15 : Bug 46 - windows position. The analyze and
	fix by: Anthony Hargan <AHargan@prof-rsrch.com> on the CodeJock
	discussion board

Tue Jun 27 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 3.1.6 : Many thanks to Richard and Matthias, *the*
	bug have been found. TCL was causing the problem. You can read
	README.TCL for more details.
	* MacCvs 3.1.6 : The MacOS X port is almost ready. TODO : wait
	for Matthias fix to be released in GUSI and wait to have
	Metrowerks release the new CodeWarrior. Also todo the TCL
	support. A better port would require a lot of work, that's
	what I intend to do if Apple is welling to sell a computer
	at developper price for this project. If you can currently
	advocate for this purpose, please do.

Sun Jun 25 2000 Mika Nieminen <poiu@altavista.net>
	* WinCvs 1.1b15 : Added "LastWorkingDir" preference
          variable. When WinCVS is opened, it will automatically
          go the last working directory. User doesn't have to "manually"
          browse to the previous directory (s)he was working on
          when WinCvs was closed the last time.

Wed Jun 21 2000 Richard Wesley  <hawkfish@electricfish.com>
	* MacCvs 3.1.6 : Fixed AppleEvent linkage.  We now 
	  respond to events again.
	* MacCvs 3.1.6 : Adjusted conditional compilation in
	  PP_DebugNew.cp to triger off MW C version rather
	  than MW PP version.

Wed Jun 21 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b15 : Trim the trailing spaces out of CVSROOT

Mon Jun 19 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b15 : Fixed a bug in CMainFrame::OnClose.
	Thanks iainc@charybdis.co.uk.
	* WinCvs 1.1b15 : Real date sort. Thanks Jonathan M.
	Gilligan <jonathan.gilligan@vanderbilt.edu>.
	* WinCvs 1.1b15 : Changed the folder browser dialog to use
	the CJLib one (which is really the Shell one).

Tue Jun 13 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 3.1.6 : Got MacCvs on MacOSX ! Fixed numerous
	bugs and inconsistencies.
	* MacCvs 3.1.6 : Still, MacCvs is crashing on quitting. A
	very bad bug indeed. I'm working on it.
	* WinCvs 1.1b14 : Bug #119 (Installer), thanks
	Jonne Itkonen <ji@math.jyu.fi>.

Fri Jun 9 2000 Mika Nieminen  <poiu@altavista.net>
	* WinCvs 1.1b14 : Added cvsexitonerror and cvslasterrorcode
	commands to TCL macro files (see DOCMACROS.TXT)

Thu Jun 8 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Fix the Commit log message problem 
	introduced by WordWrap

Tue Jun 6 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Fix the comboboxes loosing the contents

Mon Jun 5 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* GCvs 1.0a5 : Console keyboard handling.
	* GCvs 1.0a5 : README.SUN.
	* MacCvs 3.1.5 : Carbonization. On the way. New carbon
	targets.
	* MacCvs 3.1.5 : New MoreFiles, WASTE 2.0, WText.
	* MacCvs 3.1.5 : New CWPro 6 early access support.
	* MacCvs 3.1.5 : New CWPro 6 early access support.
	* MacCvs 3.1.5 : Several fixes.
	* WinCvs 1.1b14 : Bug #111, Bug #112, Thanks Mika
	Nieminen <poiu@altavista.net>. There is a new macro
	"Query State" BTW.

Sat Jun 2 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Word Wrap Commit Dialog

Wed May 31 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : New Commit Dialog

Fri May 26 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : The preference dialog - add the filter
	for the Viever and Diff select dialogs (*.exe and *.*)
	*NOTE* Milestone - this was entirely processed with CvsIn
	for the first time in WinCvs project(edit, update, commit)

Sun May 21 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Keyboard accelerators for the dialogs

Tue May 16 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Small adjustments of 3D toolbars
	* WinCvs 1.1b14 : Fix the graph problem (Bug 51)

Thu May 11 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Solve the Tip at Startup problem
	* WinCvs 1.1b14 : Disable "Tip of the Day" if 'GoToFile' used

Wed May 10 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Fix the focus problem - it will now
	restore the focus to the fileview, not the workspace

Sun May 7 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Enter key button - open the file 
	(like the mouse double-click opens it).

Fri May 5 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Cool menu for graph view

Thu May 4 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b14 : Print the text: Locating <dir/file> 
	with bold and underline - it looks better that way
	* WinCvs 1.1b14 : Update tips with info about 'GoToFile'

Wed May 3 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b14 : Fix with CCvsThreadLock. This was
	never effective. Thanks to Francis Irving
	<francis.irving@creaturelabs.com>.
	* MacCvs 3.1.5 : Settings management.
	* MacCvs 3.1.5 : new look.
	* MacCvs 3.1.5 : Compression level.
	* MacCvs 3.1.5 : Ignore toggle.

Sun Apr 30 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b13 : Settings done.
	* WinCvs 1.1b13 : The toolbar should remember their previous
	locations now.

Mon Apr 24 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b13 : Remove wincvs.clw from the project.
	It is automatically regenerated by VC anyway, it's
	temporary file for ClassWizard, Add *.clw to the .cvsignore

Mon Apr 24 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 3.1.4 : New toolbar + icons.
	* MacCvs 3.1.4 : define RELATIVE_REPOS to 1 in options.h.

Mon Apr 24 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b13 : 'GoToFile' - resolve the long filename
	when given the short filename - you can now use WinCvs in
	the 'SendTo' shell menu

Sun Apr 23 2000 Jerzy Kaczorowski  <kaczoroj@hotmail.com>
	* WinCvs 1.1b13 : Fix the Drag&Drop to the Output Window
        crash.

Sat Apr 22 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b13 : Customize menus dialog for contextual
	menus.
	* WinCvs 1.1b13 : First draft for 'Save Settings'. This
	allows to store the settings by checked-out copy. When
	you jump from one module to the other, it automatically
	changes the preferences.
	* WinCvs 1.1b13 : Someone suggested a CVS folder should
	appear as a special folder and a non-Cvvs folder should
	appear as a regular forder (instead of the one with a ?).
	I'm not real happy with the new icon.

Fri Mar 17 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b13 : Clean-up merging files macro works now
	on Win32 (Pavel Zaichenko <zaichep@mail.com>).
	* WinCvs 1.1b13 : Big fonts support (Jerzy Kaczorowski).
	* WinCvs 1.1b13 : findtcl.cpp (David Gravereaux).

Mon Wed 14 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* GCvs 1.0a4 : Thanks to Nicolas Moterey
	<Nicolas.Sauterey@syseca.thomson-csf.com> who found the
	bug that prevented to compile and run on Solaris.

Mon Mar 13 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* GCvs 1.0a3 : Mostly worked on the graph window. Few
	other things too. This version is still not expected
	to run on Solaris, no user were able to make it work.

Fri Mar 10 2000 Jerzy Kaczorowski <jerzy.kaczorowski@actfs.com.hk> 
	* WinCvs 1.1b12 : GoToFile patch.

Fri Feb 25 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b12 : No diff program caused a crash.
	* WinCvs 1.1b12 : View selection works with Word.
	* WinCvs 1.1b12 : Win98 bug in the watcher thread is fixed.
	* WinCvs 1.1b12 : Date sort (only string compare).

Wed Mar 1 2000 Dag Garthus <dag@opera.com>
	* WinCvs 1.1b11 : Suggested change -- optionally folder grouping
	- I.e folders always come first (or last) without regard to the
	selected sorting order

Fri Feb 25 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b11 : Added the tip menu entry in the resources
	cause some users reported the dynamical code was inserting
	it over and over.
	* WinCvs 1.1b11 : Added support to tcl up to 8.7.
	* WinCvs 1.1b11 : Switched to cvs-1.10.8 : there was a *HUGE*
	bug in cvs-1.10.7 : any command was repeated twice.

Mon Feb 21 2000 Matti Lehtonen  <m-Matti-a.Lehtonen@Kolumbus.Fi>
	* WinCvs 1.1b11 : Added support for RSA identity files 
	for SSH with WinCVS and CVS
	* WinCvs 1.1b11 : Now "Supply control when adding files" 
	doesn't over lap "Prune (remove) empty directories" in 
	global WinCvs preferences
	* WinCvs 1.1b11 : Now "Create missing directories that exist
	in the repository" 

Sun Feb 20 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* GCvs 1.0a2 : All the dialogs are done. Still misses
	the graph, printing, docs, splash screens.

Wed Feb 16 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* GCvs 1.0a1 : First snapshot.

Fri Feb 11 2000 Marco Goertz  <marco.goertz@spatial.com>
	Purely cosmetic changes:
	* WinCvs 1.1b10 : Added flat toolbar button look and changed
	font for browse history combobox.
	* WinCvs 1.1b10 : Added statusbar and tooltip descriptions for
	Icon, List and Detail buttons.
	* WinCvs 1.1b10 : Cleaned-up View menu and toolbar names.
	* WinCvs 1.1b10 : Cosmetic fixes/changes in Globals and Ports
	tabs of Preferences dialog.
	* WinCvs 1.1b10 : Sort indicator in list view header.

Fri Feb 11 2000 Nikita Jorniak <nikita@tanner.com>
	* WinCvs 1.1b10 : Drag & Drop : This works to drag files from
	WinCVS and drop them to any external viewer/editor,
	which supports Windows Shell standard CF_HDROP Clipboard style.
	Directories are intentionally left out.
	Tested: MS DevStudio, Windows Explorer.
	Tested on Windows NT 4.0 (Service Pack 6)

Fri Feb 11 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b10 : View file problem (again and again).
	Should work now by giving the full path.
	* WinCvs 1.1b10 : Changed a bit the diff dialog,
	suggestion of Steve Madsen <steve@edaycare-inc.com>.
	* WinCvs 1.1b10 : Some UI goodies. Icons in the menus,
	About dialog.

Mon Feb 7 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b9 : Set the IDR_CNTR_INPLACE string. Thanks
	Jerzy Kaczorowski <jerzy.kaczorowski@actfs.com.hk>.
	* Started the support of the NT server by Tony Hoyle
	<tmh@magenta-logic.com>. http://betty.magenta-logic.com/cvs.
	All it does is to provide the dll compiled by Tony (renamed
	cvs2ntslib.dll) and a new kind of authentication : ntserver.
	I was not able to test it really. The service is starting fine,
	but it crashes on Win2000 for ntserver when doing a check out.
	See the preferences dialog for the new stuff. However Tony
	tells it should be stable enough in pserver mode.

Thu Feb 3 2000 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b9 : Got the resurect (remove->add) to work. Thanks
	to Michael Schmitz <mschmitz@sema.de>
	* WinCvs 1.1b9 : Re-fixed the view file problem. Thanks to
	Article ID: Q140724 about the bug of FindExecutable.
	* WinCvs 1.1b9 : Added a ResetView for Edit/Unedit on Win98
	cause the thread watch misses the changes of attributes.

Wed Dec 22 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b8 : Updated to cvs-1.10.7. Check if abcvs is
	working now.
	* WinCvs 1.1b8 : Added a spin to the compression.
	* WinCvs 1.1b8 : Added sort by revision (Haedelmayr-Kuehn Oliver).
	* WinCvs 1.1b8 : Now a file already deleted can be removed
	without issuing a warning (Ross Mellgren).

Tue Nov 30 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b8 : Updated to CJLib 6.09.

Wed Nov 24 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b8 : Changed the way to launch a viewer (suggestion
	of Pepijn Schmitz <p.schmitz@xpuntx.nl>).
	* WinCvs 1.1b8 : Changed "edit" to "view". Suggested many times.
	* WinCvs 1.1b8 : Added an option to check-out with the Unix line feed.
	This is kind of experimental. Thanks to Norman Bring <brg@ep-ag.com>
	for the solution.

Fri Sep 10 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b8 : Now WinCvs is exporting automatically the HOME
	variable for the "cvs release" case.
	* WinCvs 1.1b8 : Put a StatusBar message when cvs is running in
	order to show the status of cvs. The initial idear was to make
	a progress, but cvs is hanging most of the time in the sockets,
	so it won't let us know what time is still remaining for the
	command to complete.

Mon Sep 6 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 3.1.2 : Thanks to Martin Neitzel, we may have found why
	the shared library sometimes doesn't load. That's because we
	updated to InternetConfig 2.0. So it should work now, and it
	only complains if IC is not there.
	* MacCvs 3.1.2 : Added a popup in the CheckOut dialog.
	* MacCvs 3.1.2 : Re-put the Macros folder (oups).

Sun Sep 5 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b7 : Made a fast fix for the time stamp beeing in
	the future. *BUT* this is bad, it will use every time the
	current machine time.
	* WinCvs 1.1b7 : Updated CJLib to 6.08d. Now the docking windows
	positions are persistent.
	* WinCvs 1.1b7 : Re-introduced the import/checkout in the browser
	views. It's still possible to set the location from the explorer.
	People were confused with this change.
	* WinCvs 1.1b7 : I wanted to set a preference for using LF as the
	linefeed, but I cannot find anymore the mail of the guy who told me
	how to do it by modifying a global somewhere (anyone ?).
	* WinCvs 1.1b7 : Finally it's here, you can use an external editor
	when diffying *one* file.
	* WinCvs 1.1b7 : Updated the credits and copyrights with Don Harper.
	* WinCvs 1.1b7 : Some people are asking me to be able to customize
	the context menu. Well, I don't know how to do that (anyone ?).
	* WinCvs 1.1b7 : Updated TCL support for tcl8.2.

Tue July 13 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b6 : Fixed the problem for NT 2000.
	* WinCvs 1.1b6 : Some other minor fixing.

Mon July 12 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs 1.1.1 : Updated to CWPRO5. Made it simpler to compile
	the whole thing. It should be now one click to build it all.
	* MacCvs 1.1.1 : Added the proxy support.

Tue June 15 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b5 : Worked on the menus. New presentation
	* WinCvs 1.1b5 : Added an explorer tab in order to
	checkout/import/explore. This is not clear for me about how
	to use it.
	* WinCvs 1.1b5 : Removed any language dependant dll from the
	installer.

Wed May 26 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b2 : CoWorker : started integration. This is the future
	cvsscc support. Preston L. Bannister <preston@home.com> is the most
	qualified guy for that.
	* WinCvs 1.1b2 : The visual diff now uses some human readable temporary
	file names so the diff utility can make the difference about the file type
	(asked by the users which are using NIB files).
	* WinCvs 1.1b2 : Started the CJLIB integration so WinCvs can have a more
	explorer-like interface.
	* WinCvs 1.1b2 : Fixed the installer so it won't install comctl32.dll and
	comdlg32.dll on Windows 95/98. Still I would need these files for this platform
	since WinCvs won't work without it.
	* WinCvs 1.1b2 : Changed the registry where WinCvs stores its informations :
	you'll have to reset your preferences. But it's required since it may conflict
	and crash 1.0 (especially the toolbars). A backward code could be nice when
	running the first time.
	* WinCvs 1.1b2 : Added also a nice combo for the recent checked-out copy.

Fri May 21 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b1 : Printing of the console, file view, graph view.
	* WinCvs 1.1b1 : Added an icon for removed files.
	* WinCvs 1.1b1 : Updated to cvs-1.10.6.

Thu May 20 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.1b1 : 1.1 Starting.
	* WinCvs 1.1b1 : Update to TCL8.1 as suggested by
	David Gravereaux <davygrvy@bigfoot.com>. I did integrate
	more or less the patch of David. So now in order to compile
	WinCvs, you need these libraries (http://www.scriptics.com).
	* WinCvs 1.1b1 : Also begin to think about linking dynamically
	with MFC, so we can provide the dependant dlls with the installer,
	and it may work on any M$Windows. Updated the installer in
	this direction.

Tue March 23 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.0.6 : a huge bug reported by Jeroen C. van Gelderen
	("case ssh : return ":ext"; break;" misses another colon) +
	a little enhancement of the tagging dialog.

Mon March 22 1999 HANAI Tohru <honey@din.or.jp>
	* WinCvs 1.0.6 : tab circulation between the panes.

Mon March 22 1999 Alex Lemaresquier <alex@brainstorm.fr>
	* WinCvs 1.0.6 : memory leak problem fixed.
	* WinCvs 1.0.6 : VC5 projects fixed.

Tue March 16 1999 HANAI Tohru <honey@din.or.jp>
	* WinCvs 1.0.5 : patches correcting :
	Bug fix
	1. Now WinCvs remembers it's size when window state is SW_NOWMAL.
	2. Doesn't show SplashScreen when WinCvs starts as iconic.
	3. When user double-clicks on an item of CBrowseFileView, now it
		executes associated executable correctly.
		(When an association value(on registry) was written as using 
		parameter, like "some.exe %1", WinCvs had executed the 
		default viewer.)
	To be having more friendly GUI
	1. Now CWinCvsBrowser shows selection with highlight, ALWAYS.
	2. CBrowseFileView had always shown one but it does with 
		different CWinCvsBrowser's color, so I have made it with 
		the same color.

Tue Feb 23 1999 Alex Lemaresquier <alex@brainstorm.fr>
	* WinCvs 1.0.4 : new patch correcting 2 details and 2
	severe problems. One of them is hopefully the memory leak.
	But there are still 2 remaining problems during the update
	of the TreeView/ListView.

Mon Feb 16 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.0.4 : Problem fixed regarding the log parser.
	Thanks Hartmut Keller <keller@FS-NET.DE>.

Mon Thu 11 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.0.4 : Paul Henschke's patch <henschke@mincom.com>.
	Should fix both Win2000 & NT40 browser problem. Thanks Paul.
	* Integrated the patch below : thanks Blake Sobiloff
	<sobiloff@mindspring.com>.

1998-12-26  Andy Piper  <andy@xemacs.org> 
                and Jim Kingdon  <kingdon@harvey.cyclic.com>
	* CVS can now tunnel connections through web servers (and hence a
	firewall) that support the CONNECT command. The syntax augments the
	connection syntax, for instance
	:pserver#proxy=www#proxyport=8080#port=2401:, where proxy is the
	name of the web server proxy, proxyport is the port to connect to on
	the proxy and port is the remote port to connect to. proxyport
	defaults to 80 and port defaults to 2401.

	* cvs.h: declare proxy variables CVSroot_proxy,
	CVSroot_proxy_port, CVSroot_port.
	* root.c: define proxy variables.
	(parse_cvsroot): pick up semicolon expressions port=, proxy=,
	proxyport= from CVSROOT.
	* client.h (CVS_PROXY_PORT): default port for a proxy.
	* client.c (connect_to_pserver): connect to a proxy before doing
	anything else if one was specified.
	(auth_server_port_number): return CVSroot_port if set.

Mon Jan  25 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.0.2 : Integrated the context menu thing of Alex
	Lemaresquier <alex@brainstorm.fr>. Merci alex ;-).
	* WinCvs 1.0.2 : Worked without success on finding memory
	leaks of WinCvs (WinCvs seems to grow the heap when it
	idles, I've no idea why, but it seems to allocate some
	Windows resources).
	* WinCvs 1.0.2 : Re-enabled the threading on Windows-98,
	it seems to be OK now.

Tue Jan  19 1999 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs 1.0.2 : More work on DosPipe in order to get
	cvs release to work (in fact popen). "Should" be OK now.

HAPPY NEW YEAR !

Fri Nov  24 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs : Jocelyn Houle <houlejo@IRO.UMontreal.CA> did a lot of
	work on the help balloons. This is not 100% complete but it is enough
	complete te release it.
	* MacCvs : Richard Wesley did a bit of work for CWCVS 1.0.
	* MacCvs 1.0 RELEASED !

Fri Nov  18 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs : Solved the "cvs co ." problem.

Fri Nov  11 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs : Navigation services + some drag'n drop (Jack Jansen).

Fri Oct  30 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs : Made the file watcher smoother et clever.
	* WinCvs 1.0 RELEASED !

Mon Oct  26 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs : Did the automatic logout + force -d option + version number
	in the splash screen & about dialog.

Fri Oct  23 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs : You gonna love it : I did implement the idea of Jason Aten
	<jaten@rosetta.org> to use the notification mechanism : Kick ass. Now
	WinCvs updates automatically the file view when something changed.

Tue Oct  6 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs : Cvs/Template support + persistents commit logs/tags...
	* MacCvs : ssh support.
	* Both : cvs status uses "-v" by default now (suggestion of Elliott Bloom).

Tue Oct  4 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs : Now the combo box with the default values for the tags,
	dates... are persistents.
	* WinCvs : Cvs/Template support + persistents commit logs.

Tue Oct  3 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs : A lot of work on the left view like suggested Jason :
	real ignore/missing support, F5 support, macros selection support,
	navigating to the right view now update the left one...
	* Both side : added a TCL "cvsentries" function + a sample macro
	named "Fast search modified" in order to illustrate it.
	Found a memory leak in CvsIgnore.

Tue Sep  17 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs : ~/.cvsignore handling + toggle ignore files button
	* Both sides : Now use STRATA1102 for cvs-1.10.2
	* Both sides : removed the cvs-1.9 support, now cvs-1.0 is far more
	stable than cvs-1.9. The cvs-1.9 folder is now obsolete.

Tue Sep  8 1998 Stephen Wark
	* WinCvs : Bug fix in ListViewEx.cpp

Tue Sep  8 1998 Norbert,Klamann@pobox.com
	* WinCvs : Bug fix for Netware (windows-NT/filesubr.c)

Tue Sep  8 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs : finnaly got a solution for pipe : I use a little
	dos application named DosPipe which does the work. It appears
	to be impossible to use anonymous pipes from a MFC app to a Dos
	application. The reason is the lack of console (!?).
	* WinCvs : removed the changes of Jason in src/filesubr.c because
	this file is not intended to compile with VisualC++. The one in
	diff3.c is still there and is still very usefull. According to Jason
	we should free the return of _tempnam (oups! it is used in several places).
	* Both side : found a bug in src/find_names.c. It needs a report.
	* WinCvs : The browser now should expand automatically at startup
	and show-up entirely (it used to be truncated).
	* WinCvs : other little things : an install shield installer
	(./InstallShield), dbl-click in the browser try now to guess the viewer,
	explore selection, send to recycle bin.

Wed Sep  4 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* MacCvs : Completed the Mac side for the macros menus
	and added a new macro.

Wed Sep  2 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* NOW USE STRATA1101 ! Updated the source code from Cyclic.
	* WinCvs : Modified the entry of the dlls so it sets STDIN, STDOUT,
	  STDERR. Now "popen" is working when invoked by "loginfo"
	  in local mode.

Tue Sep 1  15:03:02 1998 Jason Aten <jaten@accessone.com>

	* cvs-1.10\diff\diff3.c:
	* cvs-1.10\src\filesubr.c:
	* cvs-1.9\src\filesubr.c: 
	* in each of the 3 above files, added win32-share safe 
	version of tmpnam() call. It is now possible to update
	to a share that has a protected root directory; diff
	no longer tries to write there.

Fri August  20 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Both side : Added the cvs-1.10 support.
	* Win side : Fixed a little bug about the edit field for getting
	the external diff.

Mon July  6 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Both side : Tag/Rtag support + added some icons to the
	graph log window.
	* Win side : added ssh support (contribution of Noel CRAGG).
	* Win side : misc fix things + external diff support in the graph log
	window (tested with Windiff).

Thu July  2 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Mac side : lot of work including the visual log tree
	(option graph log), cvs-1.9.28 support, .cvsignore support
	(not ~/.cvsignore, not CVS_IGNORE)...

Thu June  18 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Win side : lot of work including the visual log tree
	(option graph log), cvs-1.9.28 support, .cvsignore support
	(not ~/.cvsignore, not CVS_IGNORE)... Hopefully the Mac versoin
	will follow next.
	* CVSTREE : cvstree is a new library cross-platform using bison
	and flex to parse the cvs log output. It can be used in any cvs
	client. WinCVS uses it now in order to draw a tree of the history
	of a revision.

Fri May  29 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1b2
	* Win side : little import bug.
	* Mac side : big import bug + CW Pro3 port + GUSI 1.8.4

Wed May  14 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1b1
	* Win side : Added a contextual menu on the right button. I just
	don't know *what* to put inside, so I put most of the commands.

Wed May  13 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1b1
	* Both side : Fixed a bug when having multi-lines in a log message
	(Gerhard Moeller).
	* Win side : fixed a crash when dropping file in he log window
	(Gerhard Moeller). Now it should print the path name of the files
	in the log window (useful for tcl command line)
	* Win side : implemented a (sort of) dir command for tcl and fixed
	some bug in the log window after entering Enter.
	* Mac side : implemented a keyboard selection for the browser
	(a la Finder). added the ability to toggle/resize/drag windows
	while cvs is running.

Fri May  8 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1b0
	* Both side : integrated cvs-1.9.27.1. Now the 2.0 options
	refers to this version.
	* Win side : fixed several problems reported by Gerhard Moeller.
	* Both side : first draft for an integrated shell using TCL.
	It allows to invoke cvs with arguments directly in the Log window.
	On the mac side I'll ship MacCVS with the TCL shared library because
	I had to fix a problem (see README.TCL). Instructions on how to use
	it are described in INSTALL.txt for WinCVS. I would like to have
	some comments before documenting it and be sure it is useful.
	* Mac side : MACCVS TURNS BETA ! There are few things to complete
	before it is "feature complete" but it seems to be stable now.

Tue May  5 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Mac side : Resolved for CW Pro2 the memory leak due to the
	new/delete handling in the MSL Runtime. You need to change
	your MSL Runtime "New.cpp" : #define NEWMODE NEWMODE_MALLOC.
	When the Fragment Manager calls the newly created __terminate_malloc,
	it will remove the allocs pools used for malloc and new.
	* Mac side : Fixed a bug (OUPS) in the preferences.
	* Mac side : Enhanced the browser so it opens another browser
	when you double click on a folder. The open-finder behaviour is still
	available thru Option-Click.

Fri May  1 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Win side : Removed a security hole reported by Neal Becker.
	Now the user *has* to have a login which conforms with the
	cvs server. So if you use like me "Administrator", you should
	change it to your log name pretty soon ! I think this applies
	only for .rhosts authentication.

Tue Apr  30 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a8
	* Mac side : Finally I run QC (http://www.onyx-tech.com) on
	MacCvs and found several inconsistencies. This version *should*
	be MUCH MORE stable. I also identified the memory leak : it comes
	from the new operator in the runtime library. I need to go thru
	GUSI to suppress it. The browser get enhanced a little bit and
	should just run fine now. Next version of MacCVS 3.1 will probably
	turn 'Beta' ! Alleluia ! :->

Tue Apr  28 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a7
	* Mac side : First preview of the browser (very experimental).
	This version intends to be the one to use for checking out Mozilla
	with a fix of Aleks Totic about long filenames.

Thu Apr  24 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a6
	* Both side : Tested and inserted the monitors (release,
	lock, edit, watch...).

Thu Apr  16 1998 Aleks Totic <atotic@netscape.com>
	* Version 3.1a5
	* Mac side : Released the Aleks's work.
	* Win side : Finished the browser.
	* Both side : added a paranoiac range check for memory in
	the garbage collector that you can turn on optionally if
	you got crashes.

Tue Apr  14 1998 Aleks Totic <atotic@netscape.com>
	* Version 3.1a5
	* Mac side : AppleSingle support. According to Alesks :
	"1) apsingle.* contains the actual encoders/decoders. This code only depends on
	MoreFiles, and can be standalone.
	2) cvs_hqx.cpp is mostly plugging my code in. I did change set_file_type to
	optionally give a warning if the file type is not found in InternetConfig.
	This is because binary files really should have their types set to be useful.
	3) The GUSI file contains that 1-liner change for chdir.
	4) More AS details: AppleSingle format encodes mac files as a series of entries (1 for data fork,
	1 for resource fork, 1 for file's real name, etc). Every entry is optional,
	you can encode as little or as much data as you'd like. To make my code
	generic enough, the encode/decode routines take a flag argument,
	wantedEntries, that is a bit array describing what entries would you like encoded/decoded."

Fri Apr  10 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a4
	* Mac side : prepared the MacCVS side for Aleks Totic
	AppleSingle support. This is not finished but you can
	now set the plain binary mappings interactively.
	* Mac side : for MPW and CWCVS users (and any AppleEvent
	user) : now some variables are "globals". It means that
	if you don't define them, they are read from the
	MacCVS preferences. This will help a lot in order to not make
	mistakes and have to set some preferences only once (ports,
	binary mappings, home...). See the doc for details.
	* Mac side : a bug keep making MacCVS crash, reported
	by Alain Roy. It happens only when MacCVS have finished,
	closed the connection and unloads the cvs
	fragment. I've no idea what's going on so please keep
	hacking this problem. I don't feel like it's dangerous,
	but you may need MacsBug in order to avoid to restart :-<.

Tue Apr  7 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a4
	* Mac side : detected a new bug with the daylight time.
	* Mac side : Removed the @@@ trick for the HOME env. variable :
	now ~/.cvsrc, ~/.cvswrappers should work. Also fixed the
	bug found by Aleks Totic.
	* Mac side : introduced a hack contributed by Roman Dementiev.
	It allows to use the Paul Sanders's WinNT server.
	* Win side : fixed a big bug introduced in the import.
	* Win side : Began also to make a browser. The Mac side
	will follow later.

Fri Apr  3 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a4
	* Mac side : cvs release works now but only with cvs 2.0.
	Some others minors things suggested by Alain Aslag Roy
	for cvs import.

Mon Mar  30 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a3
	* Both side : Fixed the old problem of stdout/stderr getting
	mixed. Now the mpw tools reveive the two channels separately.
	Also MacCvs and WinCvs now take advantage of the two channels...

Mon Mar  30 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a3
	* Both side : Fixed the old problem of stdout/stderr getting
	mixed. Now the mpw tools reveive the two channels separately.
	Also MacCvs and WinCvs now take advantage of the two channels...

Wed Mar  25 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a3
	* Mac side : enhanced a little bit cvslog.
	* Win side : enhanced threads to be able to use MFC
	objects (crash when getting password).
	* Both side : added more dialogs/options.

Fri Mar  20 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a2
	* Mac side : two MPW tools, cvs and cvslog,
	see the documentation.

Wed Mar  18 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a2
	* Both side : First version of a (very) improved import.
	It's now possible to detect errors, force binary, ignore...
	* On the mac side we need now to improve the "plain binary"
	by making a proper interface.

Mon Mar  15 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a1
	* On the Mac side : fixed the bug color.
	* On the Windows side : added local authentication
	support
	* Both side : fixed some memory leaks and improved
	the garbage support for 1.9.26.

Thu Mar  12 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a0
	* On the Mac side : added ports support.
	* On the Windows side : added multi-thread support
	+ a stop button.

Wed Mar  11 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a0
	* On the Mac side : added font selection plus color
	in the log window : but Aaste doesn't want to use
	my colors (?!?), so I use a bold face instead :<
	* On the Windows side : fixed the ports bugs +
	cleaned the documentation (sort of ;-]) + updated
	the command line dialog to have the global settings.

Fri Mar  6 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.1a0 (at least !)
	* A lot of improvements in both WinCvs and MacCVS.
	* MacCvs 3.1a0 uses now powerplant so we'll run less
	problems to make new cvs commands mapping in MacCVS.
	* The 3.1 code lets you use either cvs 1.9 code or
	cvs 1.9.xxx (refered as 2.0). It simply switch the
	good shared library (the same on Windows).
	* It begins to sound good so anytime I can update
	the documentation, I will make a release build...

Wed Feb  18 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b5
	* I think cvs 1.9.20 is usable now since I've done
	the encoding/patch/decoding session, the patch can apply
	correctly on the server format. I keep testing.
	* Changed also convert_file to use MSL (and the famous
	toggle \n<->\r) instead of the GUSI (no automatic
	conversion).

Tue Feb  17 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b5
	* cvs 2.0 begins to work. I had to slightly reorganize
	the projects so we split MacCVS and the cvs shared library.
	We have now two shared libraries : for cvs 1.9 and future 2.0
	(cvs 1.9.24). This way we can expect the macintosh folder
	to be distributed with the official cvs distribution of Cyclic.
	* Fixed a bug when deleting directories (prune option).

Mon Feb  16 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b5
	* Begins work on cvs 2.0 (cvs 1.9.24). I think we can have
	a single application and two shared libraries (1.9 and 2.0).

Tue Feb  3 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b5
	* Added a TODO and corrected the top README.

Wed Jan  28 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b5
	* Added binary control you the user is warned when it
	tries to add binary files as text files (or the contrary).
	It detects also escape characters, wrong line feeds and
	wrong file types.

Tue Jan  27 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Added ISO-8859-1 translation. Thanks to Jim Matthews.
	Suggestion of Éric Aubourg. <- (Hey ! Should work now ;->)
	* Added Internet Config on TEXT files (disabled by
	default). Suggestion of Richard Wesley.
	* Fixed a bug which affects all the files picking
	(some files were added with a short DirID).

Wed Jan  16 1998 Miro Jurisic <meeroh@MIT.EDU>
	* Added AE pending event. See PendingAeQueue.[cpp,h]
	for details

Wed Jan  15 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Begin works on kcvs (for KDE desktop)
	* Cleaned common sources
	* Added missing elements to compile on Windows

Wed Jan  8 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs Version 1.0b2
		+ Fix temporaly -z9 freeze : see zlib.c
		+ added quiet mode (-q)
		+ worked on the documentation (wincvs.hlp).
		+ cleaned the project.
		+ added find command.
	* MacCvs Version 3.0b4
		+ fixed bugs due to the merge
		+ added quiet mode (-q)

Mon Jan  6 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* WinCvs Version 1.0b1
	* First draft

Fri Jan  2 1998 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b4
	* MacCVS uses now native \r carriage return by
	Miro Jurisic <meeroh@MIT.EDU>
	* MacCVS implements the AE core suite by
	Miro Jurisic <meeroh@MIT.EDU>
	* Corrected logo in About box.
	* Provide a work around for a GUSI bug. So added
	the GUSIFile.cpp to the GUSI-Add-ons folder.
	* Added a mail from Miro Jurisic to the documentation
	which explains the MacCVS architecture.

** HAPPY NEW YEAR !! **

Mon Dec  29 1997 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b3
	* Added quote handling by Miro Jurisic <meeroh@MIT.EDU>
	* Added dialog and menu baloon helps

Tue Dec  23 1997 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b3
	* Fixed bug in client.c when using fgets (the branches
	seem to work now).
	* Added a multi-files dialog for all the command
	which pick a file (commit, add, status...) so the
	user can select several files at once.

Mon Dec  22 1997 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b3
	* Added "cvs status" command.
	* Added the bin# resource to set-up plain binary files
	(contribution of Miro Jurisic, meeroh@MIT.EDU)
	* Added GUSI 1.8.3 and removed GUSI.r and GUSI.rsrc
	from maccvs. This change still do not fix our "epoch"
	problem with MSL. But it fixes the problem of the
	creation date of folders.
	* Added a 'README.GUSI' to help people to find and
	compile GUSI : GUSI should not be distributed
	anymore with MacCVS.
	* Fixed move to trash bug (contribution of Miro Jurisic,
	meeroh@MIT.EDU).
	* Worked on look & feel (about dialog, spin cursor,
	application icon...).
	* Added "MacCVS:" to all the errors messages generated
	by MacCVS so the user can understand which side is
	going wrong.

Wed Dec  17 1997 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b2
	* New kserver authentification (contribution of Miro Jurisic,
	meeroh@MIT.EDU).
	* Worked a little bit on the doc (Miro Jurisic suggestion)

Mon Dec  15 1997 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Version 3.0b1
	* New pserver authentification (Richard Wesley)
	* Fixed a bug for mac_duplicate

Fri Dec  12 1997 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Added policy files for MoreFiles
	* Fixed a memory leak in Apple Events (Richard Wesley)
	* Removed the annoying printf in the garbage collector (Richard Wesley)
	* Added version number 3.0b0, previous was 2.xxx I think (Richard Wesley)
	* Fixed bug : user had to restart to change the CVSROOT
	* Started the work on pserver
	* Cleaning projects to commit to Cyclic
	
Wed Dec  10 1997 Alexandre Parenteau  <aubonbeurre@hotmail.com>
	* Added ChangeLog, BUGS, README
	* Fixed printf from the garbage collector (stderr->stdout)
	* Changed MacCVS application signature from 'CVS ' to 'mCVS'
